// Copyright (c) 2011 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

var keyboardOverlayData = {
  "keyboardGlyph": {
    "ar": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 \u0661",
          "p1": "21",
          "p7": "31",
          "p9": "661",
          "position": "110"
        },
        "03": {
          "key": "@ \n2 \u0662",
          "p1": "40",
          "p7": "32",
          "p9": "662",
          "position": "111"
        },
        "04": {
          "key": "# \n3 \u0663",
          "p1": "23",
          "p7": "33",
          "p9": "663",
          "position": "112"
        },
        "05": {
          "key": "$ \n4 \u0664",
          "p1": "24",
          "p7": "34",
          "p9": "664",
          "position": "113"
        },
        "06": {
          "key": "\u066a \n5 \u0665",
          "p1": "66A",
          "p7": "35",
          "p9": "665",
          "position": "114"
        },
        "07": {
          "key": "^ \n6 \u0666",
          "p1": "5E",
          "p7": "36",
          "p9": "666",
          "position": "115"
        },
        "08": {
          "key": "& \n7 \u0667",
          "p1": "26",
          "p7": "37",
          "p9": "667",
          "position": "116"
        },
        "09": {
          "key": "\u066d \n8 \u0668",
          "p1": "66D",
          "p7": "38",
          "p9": "668",
          "position": "117"
        },
        "0A": {
          "key": "( \n9 \u0669",
          "p1": "28",
          "p7": "39",
          "p9": "669",
          "position": "118"
        },
        "0B": {
          "key": ") \n0 \u0660",
          "p1": "29",
          "p7": "30",
          "p9": "660",
          "position": "119"
        },
        "0C": {
          "key": "_ \n- ",
          "p1": "5F",
          "p7": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= ",
          "p1": "2B",
          "p7": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " \u064e\nq \ufebf",
          "p3": "064E",
          "p7": "71",
          "p9": "FEBF",
          "position": "210"
        },
        "11": {
          "key": " \u064b\nw \ufebb",
          "p3": "064B",
          "p7": "77",
          "p9": "FEBB",
          "position": "211"
        },
        "12": {
          "key": " \u064f\ne \ufe9b",
          "p3": "064F",
          "p7": "65",
          "p9": "FE9B",
          "position": "212"
        },
        "13": {
          "key": " \u064c\nr \ufed7",
          "p3": "064C",
          "p7": "72",
          "p9": "FED7",
          "position": "213"
        },
        "14": {
          "key": " \ufef9\nt \ufed3",
          "p3": "FEF9",
          "p7": "74",
          "p9": "FED3",
          "position": "214"
        },
        "15": {
          "key": " \ufe87\ny \ufecf",
          "p3": "FE87",
          "p7": "79",
          "p9": "FECF",
          "position": "215"
        },
        "16": {
          "key": " `\nu \ufecb",
          "p3": "60",
          "p7": "75",
          "p9": "FECB",
          "position": "216"
        },
        "17": {
          "key": " \u00f7\ni \ufeeb",
          "p3": "F7",
          "p7": "69",
          "p9": "FEEB",
          "position": "217"
        },
        "18": {
          "key": " \u00d7\no \ufea7",
          "p3": "D7",
          "p7": "6F",
          "p9": "FEA7",
          "position": "218"
        },
        "19": {
          "key": " \u061b\np \ufea3",
          "p3": "61B",
          "p7": "70",
          "p9": "FEA3",
          "position": "219"
        },
        "1A": {
          "key": " <\n \ufe9f",
          "p3": "3C",
          "p9": "FE9F",
          "position": "220"
        },
        "1B": {
          "key": " >\n \ufea9",
          "p3": "3E",
          "p9": "FEA9",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " \u0650\na \ufeb7",
          "p3": "650",
          "p7": "61",
          "p9": "FEB7",
          "position": "310"
        },
        "1F": {
          "key": " \u064d\ns \ufeb3",
          "p3": "064D",
          "p7": "73",
          "p9": "FEB3",
          "position": "311"
        },
        "20": {
          "key": " [\nd \ufef3",
          "p3": "005B",
          "p7": "64",
          "p9": "FEF3",
          "position": "312"
        },
        "21": {
          "key": " ]\nf \ufe91",
          "p3": "005D",
          "p7": "66",
          "p9": "FE91",
          "position": "313"
        },
        "22": {
          "key": " \ufef7\ng \ufedf",
          "p3": "FEF7",
          "p7": "67",
          "p9": "FEDF",
          "position": "314"
        },
        "23": {
          "key": " \ufe83\nh \ufe8d",
          "p3": "FE83",
          "p7": "68",
          "p9": "FE8D",
          "position": "315"
        },
        "24": {
          "key": " \u0640\nj \ufe97",
          "p3": "640",
          "p7": "6A",
          "p9": "FE97",
          "position": "316"
        },
        "25": {
          "key": " \u060c\nk \ufee7",
          "p3": "060C",
          "p7": "6B",
          "p9": "FEE7",
          "position": "317"
        },
        "26": {
          "key": " /\nl \ufee3",
          "p3": "002F",
          "p7": "6C",
          "p9": "FEE3",
          "position": "318"
        },
        "27": {
          "key": " :\n \ufedb",
          "p3": "003A",
          "p9": "FEDB",
          "position": "319"
        },
        "28": {
          "key": " \"\n \ufec3",
          "p3": "22",
          "p9": "FEC3",
          "position": "320"
        },
        "29": {
          "key": "~ \ufe7c\n` \ufeab",
          "p1": "007E",
          "p3": "FE7C",
          "p7": "60",
          "p9": "FEAB",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| \n\\ ",
          "p1": "007c",
          "p7": "005c",
          "position": "290"
        },
        "2C": {
          "key": " ~\nz \ufe8b",
          "p3": "007E",
          "p7": "7A",
          "p9": "FE8B",
          "position": "410"
        },
        "2D": {
          "key": " \ufe7e\nx \ufe80",
          "p3": "FE7E",
          "p7": "78",
          "p9": "FE80",
          "position": "411"
        },
        "2E": {
          "key": " {\nc \ufe85",
          "p3": "007B",
          "p7": "63",
          "p9": "FE85",
          "position": "412"
        },
        "2F": {
          "key": " }\nv \ufead",
          "p3": "007D",
          "p7": "76",
          "p9": "FEAD",
          "position": "413"
        },
        "30": {
          "key": " \ufef5\nb \ufefb",
          "p3": "FEF5",
          "p7": "62",
          "p9": "FEFB",
          "position": "414"
        },
        "31": {
          "key": " \ufe81\nn \ufeef",
          "p3": "FE81",
          "p7": "6E",
          "p9": "FEEF",
          "position": "415"
        },
        "32": {
          "key": " '\nm \ufe93",
          "p3": "27",
          "p7": "6D",
          "p9": "FE93",
          "position": "416"
        },
        "33": {
          "key": " ,\n \ufeed",
          "p3": "002C",
          "p9": "FEED",
          "position": "417"
        },
        "34": {
          "key": " .\n \ufeaf",
          "p3": "002E",
          "p9": "FEAF",
          "position": "418"
        },
        "35": {
          "key": " \u061f\n \ufec7",
          "p3": "61F",
          "p9": "FEC7",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "ar_fr": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": "@ \n2 ",
          "p1": "40",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": "# \n3 ",
          "p1": "23",
          "p7": "33",
          "position": "112"
        },
        "05": {
          "key": "$ \n4 ",
          "p1": "24",
          "p7": "34",
          "position": "113"
        },
        "06": {
          "key": "\u066a \n5 ",
          "p1": "66A",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": "^ \n6 ",
          "p1": "5E",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": "& \n7 ",
          "p1": "26",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "\u066d \n8 ",
          "p1": "66D",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( \n9 ",
          "p1": "28",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \n0 ",
          "p1": "29",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ \n- ",
          "p1": "5F",
          "p7": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= ",
          "p1": "2B",
          "p7": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "\u064e q\n\ufebf ",
          "p1": "064E",
          "p5": "71",
          "p7": "FEBF",
          "position": "210"
        },
        "11": {
          "key": "\u064b w\n\ufebb ",
          "p1": "064B",
          "p5": "77",
          "p7": "FEBB",
          "position": "211"
        },
        "12": {
          "key": "\u064f e\n\ufe9b ",
          "p1": "064F",
          "p5": "65",
          "p7": "FE9B",
          "position": "212"
        },
        "13": {
          "key": "\u064c r\n\ufed7 ",
          "p1": "064C",
          "p5": "72",
          "p7": "FED7",
          "position": "213"
        },
        "14": {
          "key": "\ufef9 t\n\ufed3 ",
          "p1": "FEF9",
          "p5": "74",
          "p7": "FED3",
          "position": "214"
        },
        "15": {
          "key": "\ufe87 y\n\ufecf ",
          "p1": "FE87",
          "p5": "79",
          "p7": "FECF",
          "position": "215"
        },
        "16": {
          "key": "` u\n\ufecb ",
          "p1": "60",
          "p5": "75",
          "p7": "FECB",
          "position": "216"
        },
        "17": {
          "key": "\u00f7 i\n\ufeeb ",
          "p1": "F7",
          "p5": "69",
          "p7": "FEEB",
          "position": "217"
        },
        "18": {
          "key": "\u00d7 o\n\ufea7 ",
          "p1": "D7",
          "p5": "6F",
          "p7": "FEA7",
          "position": "218"
        },
        "19": {
          "key": "\u061b p\n\ufea3 ",
          "p1": "61B",
          "p5": "70",
          "p7": "FEA3",
          "position": "219"
        },
        "1A": {
          "key": "< \n\ufe9f ",
          "p1": "3C",
          "p7": "FE9F",
          "position": "220"
        },
        "1B": {
          "key": "> \n\ufea9 ",
          "p1": "3E",
          "p7": "FEA9",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "\u0650 a\n\ufeb7 ",
          "p1": "650",
          "p5": "61",
          "p7": "FEB7",
          "position": "310"
        },
        "1F": {
          "key": "\u064d s\n\ufeb3 ",
          "p1": "064D",
          "p5": "73",
          "p7": "FEB3",
          "position": "311"
        },
        "20": {
          "key": "[ d\n\ufef3 ",
          "p1": "005B",
          "p5": "64",
          "p7": "FEF3",
          "position": "312"
        },
        "21": {
          "key": "] f\n\ufe91 ",
          "p1": "005D",
          "p5": "66",
          "p7": "FE91",
          "position": "313"
        },
        "22": {
          "key": "\ufef7 g\n\ufedf ",
          "p1": "FEF7",
          "p5": "67",
          "p7": "FEDF",
          "position": "314"
        },
        "23": {
          "key": "\ufe83 h\n\ufe8d ",
          "p1": "FE83",
          "p5": "68",
          "p7": "FE8D",
          "position": "315"
        },
        "24": {
          "key": "\u0640 j\n\ufe97 ",
          "p1": "640",
          "p5": "6A",
          "p7": "FE97",
          "position": "316"
        },
        "25": {
          "key": "\u060c k\n\ufee7 ",
          "p1": "060C",
          "p5": "6B",
          "p7": "FEE7",
          "position": "317"
        },
        "26": {
          "key": "/ l\n\ufee3 ",
          "p1": "002F",
          "p5": "6C",
          "p7": "FEE3",
          "position": "318"
        },
        "27": {
          "key": ": \n\ufedb ",
          "p1": "003A",
          "p7": "FEDB",
          "position": "319"
        },
        "28": {
          "key": "\" \n\ufec3 ",
          "p1": "22",
          "p7": "FEC3",
          "position": "320"
        },
        "29": {
          "key": "\ufe7c \n\ufeab ",
          "p1": "FE7C",
          "p7": "FEAB",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| \n\\ ",
          "p1": "007c",
          "p7": "005c",
          "position": "290"
        },
        "2C": {
          "key": "~ z\n\ufe8b ",
          "p1": "007E",
          "p5": "7A",
          "p7": "FE8B",
          "position": "410"
        },
        "2D": {
          "key": "\ufe7e x\n\ufe80 ",
          "p1": "FE7E",
          "p5": "78",
          "p7": "FE80",
          "position": "411"
        },
        "2E": {
          "key": "{ c\n\ufe85 ",
          "p1": "007B",
          "p5": "63",
          "p7": "FE85",
          "position": "412"
        },
        "2F": {
          "key": "} v\n\ufead ",
          "p1": "007D",
          "p5": "76",
          "p7": "FEAD",
          "position": "413"
        },
        "30": {
          "key": "\ufef5 b\n\ufefb ",
          "p1": "FEF5",
          "p5": "62",
          "p7": "FEFB",
          "position": "414"
        },
        "31": {
          "key": "\ufe81 n\n\ufeef ",
          "p1": "FE81",
          "p5": "6E",
          "p7": "FEEF",
          "position": "415"
        },
        "32": {
          "key": "' m\n\ufe93 ",
          "p1": "27",
          "p5": "6D",
          "p7": "FE93",
          "position": "416"
        },
        "33": {
          "key": ", \n\ufeed ",
          "p1": "002C",
          "p7": "FEED",
          "position": "417"
        },
        "34": {
          "key": ". \n\ufeaf ",
          "p1": "002E",
          "p7": "FEAF",
          "position": "418"
        },
        "35": {
          "key": "\u061f \n\ufec7 ",
          "p1": "61F",
          "p7": "FEC7",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "bg": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": "@ ?\n2 ",
          "p1": "40",
          "p3": "003f",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": "# +\n3 ",
          "p1": "23",
          "p3": "002b",
          "p7": "33",
          "position": "112"
        },
        "05": {
          "key": "$ \"\n4 ",
          "p1": "24",
          "p3": "22",
          "p7": "34",
          "position": "113"
        },
        "06": {
          "key": "% \n5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": "^ =\n6 ",
          "p1": "5e",
          "p3": "003d",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": "& :\n7 ",
          "p1": "26",
          "p3": "003a",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "* /\n8 ",
          "p1": "2a",
          "p3": "002f",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( _\n9 ",
          "p1": "28",
          "p3": "005f",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \u2116\n0 ",
          "p1": "29",
          "p3": "2116",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ I\n- ",
          "p1": "5f",
          "p3": "49",
          "p7": "002d",
          "position": "120"
        },
        "0D": {
          "key": "+ V\n= .",
          "p1": "2b",
          "p3": "56",
          "p7": "3d",
          "p9": "002e",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \u044b\n ,",
          "p1": "71",
          "p3": "44b",
          "p9": "2c",
          "position": "210"
        },
        "11": {
          "key": "w \n \u0443",
          "p1": "77",
          "p9": "443",
          "position": "211"
        },
        "12": {
          "key": "e \n \u0435",
          "p1": "65",
          "p9": "435",
          "position": "212"
        },
        "13": {
          "key": "r \n \u0438",
          "p1": "72",
          "p9": "438",
          "position": "213"
        },
        "14": {
          "key": "t \n \u0448",
          "p1": "74",
          "p9": "448",
          "position": "214"
        },
        "15": {
          "key": "y \n \u0449",
          "p1": "79",
          "p9": "449",
          "position": "215"
        },
        "16": {
          "key": "u \n \u043a",
          "p1": "75",
          "p9": "43a",
          "position": "216"
        },
        "17": {
          "key": "i \n \u0441",
          "p1": "69",
          "p9": "441",
          "position": "217"
        },
        "18": {
          "key": "o \n \u0434",
          "p1": "6f",
          "p9": "434",
          "position": "218"
        },
        "19": {
          "key": "p \n \u0437",
          "p1": "70",
          "p9": "437",
          "position": "219"
        },
        "1A": {
          "key": "{ \n[ \u0446",
          "p1": "7b",
          "p7": "5b",
          "p9": "446",
          "position": "220"
        },
        "1B": {
          "key": "} \u00a7\n] ;",
          "p1": "7d",
          "p3": "a7",
          "p7": "5d",
          "p9": "3b",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \n \u044c",
          "p1": "61",
          "p9": "44c",
          "position": "310"
        },
        "1F": {
          "key": "s \n \u044f",
          "p1": "73",
          "p9": "44f",
          "position": "311"
        },
        "20": {
          "key": "d \n \u0430",
          "p1": "64",
          "p9": "430",
          "position": "312"
        },
        "21": {
          "key": "f \n \u043e",
          "p1": "66",
          "p9": "43e",
          "position": "313"
        },
        "22": {
          "key": "g \n \u0436",
          "p1": "67",
          "p9": "436",
          "position": "314"
        },
        "23": {
          "key": "h \n \u0433",
          "p1": "68",
          "p9": "433",
          "position": "315"
        },
        "24": {
          "key": "j \n \u0442",
          "p1": "6a",
          "p9": "442",
          "position": "316"
        },
        "25": {
          "key": "k \n \u043d",
          "p1": "6b",
          "p9": "43d",
          "position": "317"
        },
        "26": {
          "key": "l \n \u0432",
          "p1": "6c",
          "p9": "432",
          "position": "318"
        },
        "27": {
          "key": ": \n; \u043c",
          "p1": "3a",
          "p7": "3b",
          "p9": "43c",
          "position": "319"
        },
        "28": {
          "key": "\u201e \n' \u0447",
          "p1": "201E",
          "p7": "27",
          "p9": "447",
          "position": "320"
        },
        "29": {
          "key": "~ \n` ",
          "p1": "007e",
          "p7": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| )\n\\ (",
          "p1": "7c",
          "p3": "29",
          "p7": "5c",
          "p9": "28",
          "position": "290"
        },
        "2C": {
          "key": "z \n \u044e",
          "p1": "7a",
          "p9": "44e",
          "position": "410"
        },
        "2D": {
          "key": "x \n \u0439",
          "p1": "78",
          "p9": "439",
          "position": "411"
        },
        "2E": {
          "key": "c \n \u044a",
          "p1": "63",
          "p9": "44a",
          "position": "412"
        },
        "2F": {
          "key": "v \n \u044d",
          "p1": "76",
          "p9": "44d",
          "position": "413"
        },
        "30": {
          "key": "b \n \u0444",
          "p1": "62",
          "p9": "444",
          "position": "414"
        },
        "31": {
          "key": "n \n \u0445",
          "p1": "6e",
          "p9": "445",
          "position": "415"
        },
        "32": {
          "key": "m \n \u043f",
          "p1": "6d",
          "p9": "43f",
          "position": "416"
        },
        "33": {
          "key": "< \n, \u0440",
          "p1": "3c",
          "p7": "2c",
          "p9": "440",
          "position": "417"
        },
        "34": {
          "key": "> \n. \u043b",
          "p1": "3e",
          "p7": "2e",
          "p9": "43b",
          "position": "418"
        },
        "35": {
          "key": "? \n/ \u0431",
          "p1": "3f",
          "p7": "2f",
          "p9": "431",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "notes": " ",
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "notes": "does not exist in the layout U for Bulgarian",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "notes": "does not exist in the layout U for Bulgarian",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "notes": "does not exist in the layout U for Bulgarian",
          "position": "550"
        },
        "7D": {
          "notes": "does not exist in U layout for Bulgarian",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "ca": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1 |",
          "p2": "21",
          "p8": "31",
          "p9": "007C",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " \u00b7\n 3 #",
          "p2": "00B7",
          "p8": "33",
          "p9": "23",
          "position": "112"
        },
        "05": {
          "key": " $\n 4 ~",
          "p2": "24",
          "p8": "34",
          "p9": "007E",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6 \u00ac",
          "p2": "26",
          "p8": "36",
          "p9": "00AC",
          "position": "115"
        },
        "08": {
          "key": " /\n 7",
          "p2": "002F",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": " (\n 8",
          "p2": "28",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9",
          "p2": "29",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0",
          "p2": "003D",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": " ?\n '",
          "p2": "003F",
          "p8": "27",
          "position": "120"
        },
        "0D": {
          "key": "\u00bf\n\u00a1",
          "p2": "00BF",
          "p8": "00A1",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "^\n` [",
          "p2": "005E",
          "p8": "60",
          "p9": "005B",
          "position": "220"
        },
        "1B": {
          "key": "*\n+ ]",
          "p2": "002A",
          "p8": "002B",
          "p9": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": "\u00f1",
          "p5": "00F1",
          "position": "319"
        },
        "28": {
          "key": "\u00a8\n\u00b4 {",
          "p2": "00A8",
          "p8": "00B4",
          "p9": "007B",
          "position": "320"
        },
        "29": {
          "key": " \u00aa\n \u00ba \\",
          "p2": "00AA",
          "p8": "00BA",
          "p9": "005C",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00c7\n\u00e7 }",
          "p2": "00C7",
          "p8": "E7",
          "p9": "007D",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "003E",
          "p8": "003C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "cs": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! 1\n1 +",
          "p1": "21",
          "p3": "31",
          "p7": "31",
          "p9": "002b",
          "position": "110"
        },
        "03": {
          "key": "@ 2\n2 \u011b",
          "p1": "40",
          "p3": "32",
          "p7": "32",
          "p9": "011B",
          "position": "111"
        },
        "04": {
          "key": "# 3\n3 \u0161",
          "p1": "23",
          "p3": "33",
          "p7": "33",
          "p9": "161",
          "position": "112"
        },
        "05": {
          "key": "$ 4\n4 \u010d",
          "p1": "24",
          "p3": "34",
          "p7": "34",
          "p9": "010d",
          "position": "113"
        },
        "06": {
          "key": "% 5\n5 \u0159",
          "p1": "25",
          "p3": "35",
          "p7": "35",
          "p9": "159",
          "position": "114"
        },
        "07": {
          "key": "^ 6\n6 \u017e",
          "p1": "5e",
          "p3": "36",
          "p7": "36",
          "p9": "017e",
          "position": "115"
        },
        "08": {
          "key": "& 7\n7 \u00fd",
          "p1": "26",
          "p3": "37",
          "p7": "37",
          "p9": "fd",
          "position": "116"
        },
        "09": {
          "key": "* 8\n8 \u00e1",
          "p1": "2a",
          "p3": "38",
          "p7": "38",
          "p9": "e1",
          "position": "117"
        },
        "0A": {
          "key": "( 9\n9 \u00ed",
          "p1": "28",
          "p3": "39",
          "p7": "39",
          "p9": "ed",
          "position": "118"
        },
        "0B": {
          "key": ") 0\n0 \u00e9",
          "p1": "29",
          "p3": "30",
          "p7": "30",
          "p9": "e9",
          "position": "119"
        },
        "0C": {
          "key": "_ %\n- =",
          "p1": "5f",
          "p3": "25",
          "p7": "2d",
          "p9": "3d",
          "position": "120"
        },
        "0D": {
          "key": "+ \u02c7\n= \u00b4",
          "p1": "2b",
          "p3": "2c7",
          "p7": "3d",
          "p9": "b4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20ac",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "z y",
          "p5": "7A",
          "p9": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{ /\n[ \u00fa",
          "p1": "7b",
          "p3": "002f",
          "p7": "5b",
          "p9": "fa",
          "position": "220"
        },
        "1B": {
          "key": "} (\n] )",
          "p1": "7d",
          "p3": "28",
          "p7": "5d",
          "p9": "29",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ": \"\n; \u016f",
          "p1": "3a",
          "p3": "22",
          "p7": "3b",
          "p9": "16f",
          "position": "319"
        },
        "28": {
          "key": "\" !\n' \u00a7",
          "p1": "22",
          "p3": "21",
          "p7": "27",
          "p9": "a7",
          "position": "320"
        },
        "29": {
          "key": "~ \u00b0\n` ;",
          "p1": "7e",
          "p3": "b0",
          "p7": "60",
          "p9": "3b",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| '\n\\ \u00a8",
          "p1": "007c",
          "p3": "27",
          "p7": "5c",
          "p9": "a8",
          "position": "290"
        },
        "2C": {
          "key": "y z",
          "p5": "79",
          "p9": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "< ?\n, ,",
          "p1": "3c",
          "p3": "3f",
          "p7": "2c",
          "p9": "2c",
          "position": "417"
        },
        "34": {
          "key": "> :\n. .",
          "p1": "3e",
          "p3": "3a",
          "p7": "2e",
          "p9": "2e",
          "position": "418"
        },
        "35": {
          "key": "? _\n/ -",
          "p1": "3f",
          "p3": "5f",
          "p7": "2f",
          "p9": "2d",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "| *\n\\ &",
          "p1": "7c",
          "p3": "2a",
          "p7": "5c",
          "p9": "26",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "da": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " ! \n 1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": " \" \n 2 @",
          "p1": "22",
          "p7": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " # \n 3 \u00a3",
          "p1": "23",
          "p7": "33",
          "p9": "00A3",
          "position": "112"
        },
        "05": {
          "key": " \u00a4 \n 4 $",
          "p1": "00A4",
          "p7": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": " % \n 5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": " & \n 6 ",
          "p1": "26",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": " / \n 7 {",
          "p1": "002F",
          "p7": "37",
          "p9": "007B",
          "position": "116"
        },
        "09": {
          "key": " ( \n 8 [",
          "p1": "28",
          "p7": "38",
          "p9": "005B",
          "position": "117"
        },
        "0A": {
          "key": " ) \n 9 ]",
          "p1": "29",
          "p7": "39",
          "p9": "005D",
          "position": "118"
        },
        "0B": {
          "key": " = \n 0 }",
          "p1": "003D",
          "p7": "30",
          "p9": "007D",
          "position": "119"
        },
        "0C": {
          "key": " ? \n + ",
          "p1": "003F",
          "p7": "002B",
          "position": "120"
        },
        "0D": {
          "key": " ` \n \u00b4 |",
          "p1": "60",
          "p7": "00B4",
          "p9": "007C",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " qq ",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": " ww ",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " ee \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "rr ",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "tt ",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "yy ",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "uu ",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "ii ",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "oo ",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "pp ",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u00e5\u00e5 ",
          "p5": "E5",
          "position": "220"
        },
        "1B": {
          "key": "^ \n\u00a8 ~",
          "p1": "005E",
          "p7": "00A8",
          "p9": "007E",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": "\u00e6",
          "p5": "E6",
          "position": "319"
        },
        "28": {
          "key": "\u00f8",
          "p5": "00F8",
          "position": "320"
        },
        "29": {
          "key": " \u00a7 \n \u00bd ",
          "p1": "00A7",
          "p7": "00BD",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "* \n' ",
          "p1": "002A",
          "p7": "27",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": "; \n, ",
          "p1": "003B",
          "p7": "002C",
          "position": "417"
        },
        "34": {
          "key": ": \n. ",
          "p1": "003A",
          "p7": "002E",
          "position": "418"
        },
        "35": {
          "key": "_ \n- ",
          "p1": "005F",
          "p7": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "> \n< \\",
          "p1": "003E",
          "p7": "003C",
          "p9": "005C",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "de": {
      "keys": {
        "00": {
          "key": " glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 \u00b2",
          "p2": "22",
          "p8": "32",
          "p9": "00B2",
          "position": "111"
        },
        "04": {
          "key": " \u00a7\n 3 \u00b3",
          "p2": "00A7",
          "p8": "33",
          "p9": "00B3",
          "position": "112"
        },
        "05": {
          "key": " $\n 4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 {",
          "p2": "002F",
          "p8": "37",
          "p9": "007B",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 [",
          "p2": "28",
          "p8": "38",
          "p9": "005B",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 ]",
          "p2": "29",
          "p8": "39",
          "p9": "005D",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 }",
          "p2": "3D",
          "p8": "30",
          "p9": "7D",
          "position": "119"
        },
        "0C": {
          "key": " ?\n \u00df \\",
          "p2": "3F",
          "p8": "DF",
          "p9": "5C",
          "position": "120"
        },
        "0D": {
          "key": " `\n \u00b4",
          "p2": "60",
          "p8": "B4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q @",
          "p5": "71",
          "p9": "40",
          "position": "210"
        },
        "11": {
          "key": " w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " z",
          "p5": "007A",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": " \u00fc",
          "p5": "00FC",
          "position": "220"
        },
        "1B": {
          "key": " *\n + ~",
          "p2": "2A",
          "p8": "2B",
          "p9": "7E",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": " glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": " strg",
          "label": "strg",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": " s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": " d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": " f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": " g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": " h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": " j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": " k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": " l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": " \u00f6",
          "p5": "00F6",
          "position": "319"
        },
        "28": {
          "key": " \u00e4",
          "p5": "E4",
          "position": "320"
        },
        "29": {
          "key": " \u00b0\n ^",
          "p2": "00B0",
          "p8": "005E",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " '\n #",
          "p2": "27",
          "p8": "23",
          "position": "290"
        },
        "2C": {
          "key": " y",
          "p5": "79",
          "position": "410"
        },
        "2D": {
          "key": " x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": " c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": " v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": " b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": " n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": " m \u00b5",
          "p5": "006D",
          "p9": "B5",
          "position": "416"
        },
        "33": {
          "key": " ;\n ,",
          "p2": "3B",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": " :\n .",
          "p2": "3A",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": " _\n -",
          "p2": "5F",
          "p8": "2D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": " alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": " >\n < |",
          "p2": "3E",
          "p8": "3C",
          "p9": "7C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " strg",
          "label": "strg",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": " alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": " glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": " glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": " glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": " glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "de_neo": {
      "keys": {
        "00": {
          "key": " glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " \u00b0\n 1 \u00b9",
          "p2": "00B0",
          "p8": "31",
          "p9": "00B9",
          "position": "110"
        },
        "03": {
          "key": " \u00a7\n 2 \u00b2",
          "p2": "00A7",
          "p8": "32",
          "p9": "00B2",
          "position": "111"
        },
        "04": {
          "key": " \u2113\n 3 \u00b3",
          "p2": "2113",
          "p8": "33",
          "p9": "00B3",
          "position": "112"
        },
        "05": {
          "key": " \u00bb\n 4 \u203a",
          "p2": "00BB",
          "p8": "34",
          "p9": "203A",
          "position": "113"
        },
        "06": {
          "key": " \u00ab\n 5 \u2039",
          "p2": "00AB",
          "p8": "35",
          "p9": "2039",
          "position": "114"
        },
        "07": {
          "key": " $\n 6 \u00a2",
          "p2": "24",
          "p8": "36",
          "p9": "00A2",
          "position": "115"
        },
        "08": {
          "key": " \u20ac\n 7 \u00a5",
          "p2": "20AC",
          "p8": "37",
          "p9": "00A5",
          "position": "116"
        },
        "09": {
          "key": " \u201e\n 8 \u201a",
          "p2": "201E",
          "p8": "38",
          "p9": "201A",
          "position": "117"
        },
        "0A": {
          "key": " \u201c\n 9 \u2018",
          "p2": "201C",
          "p8": "39",
          "p9": "2018",
          "position": "118"
        },
        "0B": {
          "key": " \u201d\n 0 \u2019",
          "p2": "201D",
          "p8": "30",
          "p9": "2019",
          "position": "119"
        },
        "0C": {
          "key": " \u2014\n -",
          "p2": "2014",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": " \u00b8\n \u02cb \u02da",
          "p2": "00B8",
          "p8": "02CB",
          "p9": "02DA",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " x \u2026",
          "p5": "78",
          "p9": "2026",
          "position": "210"
        },
        "11": {
          "key": " v _",
          "p5": "76",
          "p9": "005F",
          "position": "211"
        },
        "12": {
          "key": " l [",
          "p5": "6C",
          "p9": "005B",
          "position": "212"
        },
        "13": {
          "key": " c ]",
          "p5": "63",
          "p9": "005D",
          "position": "213"
        },
        "14": {
          "key": " w ^",
          "p5": "77",
          "p9": "005E",
          "position": "214"
        },
        "15": {
          "key": " k !",
          "p5": "6B",
          "p9": "21",
          "position": "215"
        },
        "16": {
          "key": " h <",
          "p5": "68",
          "p9": "003C",
          "position": "216"
        },
        "17": {
          "key": " g >",
          "p5": "67",
          "p9": "003E",
          "position": "217"
        },
        "18": {
          "key": " f =",
          "p5": "66",
          "p9": "003D",
          "position": "218"
        },
        "19": {
          "key": " q &",
          "p5": "71",
          "p9": "26",
          "position": "219"
        },
        "1A": {
          "key": " \u00df \u017f",
          "p5": "DF",
          "p9": "017F",
          "position": "220"
        },
        "1B": {
          "key": " \u02dc\n \u02ca /",
          "p2": "02DC",
          "p8": "02CA",
          "p9": "002F",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": " glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": " strg",
          "label": "strg",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " u \\",
          "p5": "75",
          "p9": "005C",
          "position": "310"
        },
        "1F": {
          "key": " i /",
          "p5": "69",
          "p9": "002F",
          "position": "311"
        },
        "20": {
          "key": " a {",
          "p5": "61",
          "p9": "007B",
          "position": "312"
        },
        "21": {
          "key": " e }",
          "p5": "65",
          "p9": "007D",
          "position": "313"
        },
        "22": {
          "key": " o *",
          "p5": "6F",
          "p9": "002A",
          "position": "314"
        },
        "23": {
          "key": " s ?",
          "p5": "73",
          "p9": "003F",
          "position": "315"
        },
        "24": {
          "key": " n (",
          "p5": "6E",
          "p9": "28",
          "position": "316"
        },
        "25": {
          "key": " r )",
          "p5": "72",
          "p9": "29",
          "position": "317"
        },
        "26": {
          "key": " t -",
          "p5": "74",
          "p9": "002D",
          "position": "318"
        },
        "27": {
          "key": " d :",
          "p5": "64",
          "p9": "003A",
          "position": "319"
        },
        "28": {
          "key": " y @",
          "p5": "79",
          "p9": "40",
          "position": "320"
        },
        "29": {
          "key": " \u02c7\n \u02c6",
          "p2": "02C7",
          "p8": "02C6",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " mod3",
          "label": "mod3",
          "position": "290"
        },
        "2C": {
          "key": " \u00fc #",
          "p5": "00FC",
          "p9": "23",
          "position": "410"
        },
        "2D": {
          "key": " \u00f6 $",
          "p5": "00F6",
          "p9": "24",
          "position": "411"
        },
        "2E": {
          "key": " \u00e4 |",
          "p5": "E4",
          "p9": "007C",
          "position": "412"
        },
        "2F": {
          "key": " p ~",
          "p5": "70",
          "p9": "007E",
          "position": "413"
        },
        "30": {
          "key": " z `",
          "p5": "7a",
          "p9": "60",
          "position": "414"
        },
        "31": {
          "key": " b +",
          "p5": "62",
          "p9": "002B",
          "position": "415"
        },
        "32": {
          "key": " m %",
          "p5": "6D",
          "p9": "25",
          "position": "416"
        },
        "33": {
          "key": " \u2013\n , \"",
          "p2": "2013",
          "p8": "2C",
          "p9": "22",
          "position": "417"
        },
        "34": {
          "key": " \u2022\n . '",
          "p2": "2022",
          "p8": "2E",
          "p9": "27",
          "position": "418"
        },
        "35": {
          "key": " j ;",
          "p5": "6A",
          "p9": "003B",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": " alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": " mod4",
          "label": "mod4",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " strg",
          "label": "strg",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": " mod4",
          "label": "mod4",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": " glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": " glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": " glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": " glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " mod3",
          "label": "mod3",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "el": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "Esc",
          "label": "Esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": "@ \n2 ",
          "p1": "40",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": "# \n3 ",
          "p1": "23",
          "p7": "33",
          "position": "112"
        },
        "05": {
          "key": "$ \n4 ",
          "p1": "24",
          "p7": "34",
          "position": "113"
        },
        "06": {
          "key": "% \n5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": "^ \n6 ",
          "p1": "005E",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": "& \n7 ",
          "p1": "26",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "* \n8 ",
          "p1": "002A",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( \n9 ",
          "p1": "28",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \n0 ",
          "p1": "29",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ \n- ",
          "p1": "005F",
          "p7": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= ",
          "p1": "002B",
          "p7": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "Q :\n ;",
          "p1": "51",
          "p3": "3A",
          "p9": "3B",
          "position": "210"
        },
        "11": {
          "key": "W \n \u03c2",
          "p1": "57",
          "p9": "3C2",
          "position": "211"
        },
        "12": {
          "key": "E \n \u20ac",
          "p1": "45",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "R \n \u03a1",
          "p1": "52",
          "p9": "03A1",
          "position": "213"
        },
        "14": {
          "key": "T ",
          "p1": "54",
          "position": "214"
        },
        "15": {
          "key": "\u03a5 ",
          "p1": "03A5",
          "position": "215"
        },
        "16": {
          "key": "U \n \u0398",
          "p1": "55",
          "p9": "398",
          "position": "216"
        },
        "17": {
          "key": "\u0399 ",
          "p1": "399",
          "position": "217"
        },
        "18": {
          "key": "\u039f ",
          "p1": "039F",
          "position": "218"
        },
        "19": {
          "key": "P \n \u03a0",
          "p1": "50",
          "p9": "03A0",
          "position": "219"
        },
        "1A": {
          "key": "{ \n[ ",
          "p1": "007B",
          "p7": "005B",
          "position": "220"
        },
        "1B": {
          "key": "} \n] ",
          "p1": "007D",
          "p7": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "Ctrl",
          "label": "Ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "\u0391 ",
          "p1": "391",
          "position": "310"
        },
        "1F": {
          "key": "S \n \u03a3",
          "p1": "53",
          "p9": "03A3",
          "position": "311"
        },
        "20": {
          "key": "D \n \u0394",
          "p1": "44",
          "p9": "394",
          "position": "312"
        },
        "21": {
          "key": "F \n \u03a6",
          "p1": "46",
          "p9": "3A6",
          "position": "313"
        },
        "22": {
          "key": "G \n \u0393",
          "p1": "47",
          "p9": "393",
          "position": "314"
        },
        "23": {
          "key": "\u0397 ",
          "p1": "397",
          "position": "315"
        },
        "24": {
          "key": "J \n \u039e",
          "p1": "004A",
          "p9": "039E",
          "position": "316"
        },
        "25": {
          "key": "\u039a ",
          "p1": "039A",
          "position": "317"
        },
        "26": {
          "key": "L \n \u039b",
          "p1": "004C",
          "p9": "039B",
          "position": "318"
        },
        "27": {
          "key": ": \u00a8\n; \u00b4",
          "p1": "003A",
          "p3": "00A8",
          "p7": "003B",
          "p9": "00B4",
          "position": "319"
        },
        "28": {
          "key": "\" \n' ",
          "p1": "22",
          "p7": "27",
          "position": "320"
        },
        "29": {
          "key": "~ \n` ",
          "p1": "007E",
          "p7": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| \n\\ ",
          "p1": "007C",
          "p7": "005C",
          "position": "290"
        },
        "2C": {
          "key": "\u0396 ",
          "p1": "396",
          "position": "410"
        },
        "2D": {
          "key": "\u03a7 ",
          "p1": "03A7",
          "position": "411"
        },
        "2E": {
          "key": "C \n \u03a8",
          "p1": "43",
          "p9": "03A8",
          "position": "412"
        },
        "2F": {
          "key": "V \n \u03a9",
          "p1": "56",
          "p9": "03A9",
          "position": "413"
        },
        "30": {
          "key": "\u0392 ",
          "p1": "392",
          "position": "414"
        },
        "31": {
          "key": "\u039d ",
          "p1": "039D",
          "position": "415"
        },
        "32": {
          "key": "\u039c ",
          "p1": "039C",
          "position": "416"
        },
        "33": {
          "key": "< \n, ",
          "p1": "003C",
          "p7": "002C",
          "position": "417"
        },
        "34": {
          "key": "> \n. ",
          "p1": "003E",
          "p7": "002E",
          "position": "418"
        },
        "35": {
          "key": "? \n/ ",
          "p1": "003F",
          "p7": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "Alt",
          "label": "Alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "Ctrl",
          "label": "Ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "Alt Gr",
          "label": "Alt Gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "en_GB": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "\"\n2",
          "p2": "22",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "\u00a3\n3",
          "p2": "A3",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4 \u20ac",
          "p2": "24",
          "p8": "34",
          "p9": "20AC",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "@\n'",
          "p2": "40",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "\u00ac\n` \u00a6",
          "p2": "AC",
          "p8": "60",
          "p9": "00A6",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "~\n#",
          "p2": "007E",
          "p8": "23",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "|\n\\",
          "p2": "007C",
          "p8": "005C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "en_GB_dvorak": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "\"\n2",
          "p2": "22",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "\u00a3\n3",
          "p2": "A3",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4 \u20ac",
          "p2": "24",
          "p8": "34",
          "p9": "20AC",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "120"
        },
        "0D": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "@\n'",
          "p2": "40",
          "p8": "27",
          "position": "210"
        },
        "11": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "211"
        },
        "12": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "212"
        },
        "13": {
          "key": "p",
          "p5": "70",
          "position": "213"
        },
        "14": {
          "key": "y",
          "p5": "79",
          "position": "214"
        },
        "15": {
          "key": "f",
          "p5": "66",
          "position": "215"
        },
        "16": {
          "key": "g",
          "p5": "67",
          "position": "216"
        },
        "17": {
          "key": "c",
          "p5": "63",
          "position": "217"
        },
        "18": {
          "key": "r",
          "p5": "72",
          "position": "218"
        },
        "19": {
          "key": "l",
          "p5": "6C",
          "position": "219"
        },
        "1A": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "220"
        },
        "1B": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "o",
          "p5": "6F",
          "position": "311"
        },
        "20": {
          "key": "e",
          "p5": "65",
          "position": "312"
        },
        "21": {
          "key": "u",
          "p5": "75",
          "position": "313"
        },
        "22": {
          "key": "i",
          "p5": "69",
          "position": "314"
        },
        "23": {
          "key": "d",
          "p5": "64",
          "position": "315"
        },
        "24": {
          "key": "h",
          "p5": "68",
          "position": "316"
        },
        "25": {
          "key": "t",
          "p5": "74",
          "position": "317"
        },
        "26": {
          "key": "n",
          "p5": "6E",
          "position": "318"
        },
        "27": {
          "key": "s",
          "p5": "73",
          "position": "319"
        },
        "28": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "320"
        },
        "29": {
          "key": "\u00ac\n` \u00a6",
          "p2": "AC",
          "p8": "60",
          "p9": "00A6",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "~\n#",
          "p2": "007E",
          "p8": "23",
          "position": "290"
        },
        "2C": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "410"
        },
        "2D": {
          "key": "q",
          "p5": "71",
          "position": "411"
        },
        "2E": {
          "key": "j",
          "p5": "6A",
          "position": "412"
        },
        "2F": {
          "key": "k",
          "p5": "6B",
          "position": "413"
        },
        "30": {
          "key": "x",
          "p5": "78",
          "position": "414"
        },
        "31": {
          "key": "b",
          "p5": "62",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "w",
          "p5": "77",
          "position": "417"
        },
        "34": {
          "key": "v",
          "p5": "76",
          "position": "418"
        },
        "35": {
          "key": "z",
          "p5": "7A",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "|\n\\",
          "p2": "007C",
          "p8": "005C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "en_US": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "notes": "71",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "en_US_altgr_intl": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "notes": "71",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "en_US_colemak": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab"
        },
        "10": {
          "key": "q",
          "p5": "71"
        },
        "11": {
          "key": "w",
          "p5": "77"
        },
        "12": {
          "key": "f",
          "p5": "66"
        },
        "13": {
          "key": "p",
          "p5": "70"
        },
        "14": {
          "key": "g",
          "p5": "67"
        },
        "15": {
          "key": "j",
          "p5": "6A"
        },
        "16": {
          "key": "l",
          "p5": "6C"
        },
        "17": {
          "key": "u",
          "p5": "75"
        },
        "18": {
          "key": "y",
          "p5": "79"
        },
        "19": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl"
        },
        "1E": {
          "key": "a",
          "p5": "61"
        },
        "1F": {
          "key": "r",
          "p5": "72"
        },
        "20": {
          "key": "s",
          "p5": "73"
        },
        "21": {
          "key": "t",
          "p5": "74"
        },
        "22": {
          "key": "d",
          "p5": "64"
        },
        "23": {
          "key": "h",
          "p5": "68"
        },
        "24": {
          "key": "n",
          "p5": "6E"
        },
        "25": {
          "key": "e",
          "p5": "65"
        },
        "26": {
          "key": "i",
          "p5": "69"
        },
        "27": {
          "key": "o",
          "p5": "6F"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C"
        },
        "2C": {
          "key": "z",
          "p5": "7A"
        },
        "2D": {
          "key": "x",
          "p5": "78"
        },
        "2E": {
          "key": "c",
          "p5": "63"
        },
        "2F": {
          "key": "v",
          "p5": "76"
        },
        "30": {
          "key": "b",
          "p5": "62"
        },
        "31": {
          "key": "k",
          "p5": "6B"
        },
        "32": {
          "key": "m",
          "p5": "6D"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift"
        },
        "37": {},
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up"
        },
        "73": {},
        "79": {
          "format": "smaller"
        },
        "7B": {
          "format": "smaller"
        },
        "7D": {},
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down"
        },
        "E0 5B": {
          "format": "left",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace"
        }
      },
      "layoutName": "U"
    },
    "en_US_dvorak": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30"
        },
        "0C": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B"
        },
        "0D": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab"
        },
        "10": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27"
        },
        "11": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C"
        },
        "12": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E"
        },
        "13": {
          "key": "p",
          "p5": "70"
        },
        "14": {
          "key": "y",
          "p5": "79"
        },
        "15": {
          "key": "f",
          "p5": "66"
        },
        "16": {
          "key": "g",
          "p5": "67"
        },
        "17": {
          "key": "c",
          "p5": "63"
        },
        "18": {
          "key": "r",
          "p5": "72"
        },
        "19": {
          "key": "l",
          "p5": "6C"
        },
        "1A": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F"
        },
        "1B": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl"
        },
        "1E": {
          "key": "a",
          "p5": "61"
        },
        "1F": {
          "key": "o",
          "p5": "6F"
        },
        "20": {
          "key": "e",
          "p5": "65"
        },
        "21": {
          "key": "u",
          "p5": "75"
        },
        "22": {
          "key": "i",
          "p5": "69"
        },
        "23": {
          "key": "d",
          "p5": "64"
        },
        "24": {
          "key": "h",
          "p5": "68"
        },
        "25": {
          "key": "t",
          "p5": "74"
        },
        "26": {
          "key": "n",
          "p5": "6E"
        },
        "27": {
          "key": "s",
          "p5": "73"
        },
        "28": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C"
        },
        "2C": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B"
        },
        "2D": {
          "key": "q",
          "p5": "71"
        },
        "2E": {
          "key": "j",
          "p5": "6A"
        },
        "2F": {
          "key": "k",
          "p5": "6B"
        },
        "30": {
          "key": "x",
          "p5": "78"
        },
        "31": {
          "key": "b",
          "p5": "62"
        },
        "32": {
          "key": "m",
          "p5": "6D"
        },
        "33": {
          "key": "w",
          "p5": "77"
        },
        "34": {
          "key": "v",
          "p5": "76"
        },
        "35": {
          "key": "z",
          "p5": "7A"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift"
        },
        "37": {},
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up"
        },
        "73": {},
        "79": {
          "format": "smaller"
        },
        "7B": {
          "format": "smaller"
        },
        "7D": {},
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search"
        }
      },
      "layoutName": "U"
    },
    "en_US_intl": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "notes": "71",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "en_fr_hybrid_CA": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! 1\n \u00b1",
          "p1": "21",
          "p5": "31",
          "p9": "B1",
          "position": "110"
        },
        "03": {
          "key": "@ \"2\n @",
          "p1": "40",
          "p3": "22",
          "p5": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": "# /3\n \u00a3",
          "p1": "23",
          "p3": "2F",
          "p5": "33",
          "p9": "A3",
          "position": "112"
        },
        "05": {
          "key": "$ 4\n \u00a2",
          "p1": "24",
          "p5": "34",
          "p9": "A2",
          "position": "113"
        },
        "06": {
          "key": "% 5\n \u00a4",
          "p1": "25",
          "p5": "35",
          "p9": "A4",
          "position": "114"
        },
        "07": {
          "key": "^ ?6\n \u00ac",
          "p1": "005E",
          "p3": "3F",
          "p5": "36",
          "p9": "AC",
          "position": "115"
        },
        "08": {
          "key": "& 7\n \u00a6",
          "p1": "26",
          "p5": "37",
          "p9": "A6",
          "position": "116"
        },
        "09": {
          "key": "* 8\n \u00b2",
          "p1": "2A",
          "p5": "38",
          "p9": "B2",
          "position": "117"
        },
        "0A": {
          "key": "( 9\n \u00b3",
          "p1": "28",
          "p5": "39",
          "p9": "B3",
          "position": "118"
        },
        "0B": {
          "key": ") 0\n \u00bc",
          "p1": "29",
          "p5": "30",
          "p9": "BC",
          "position": "119"
        },
        "0C": {
          "key": "_ -\n \u00bd",
          "p1": "5F",
          "p5": "2D",
          "p9": "BD",
          "position": "120"
        },
        "0D": {
          "key": "+ =\n \u00be",
          "p1": "2B",
          "p5": "3D",
          "p9": "BE",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o \u00a7",
          "p5": "006F",
          "p9": "00A7",
          "position": "218"
        },
        "19": {
          "key": "p \u00b6",
          "p5": "70",
          "p9": "00B6",
          "position": "219"
        },
        "1A": {
          "key": "{ ^\n[[ ^",
          "p1": "7B",
          "p3": "5E",
          "p7": "5B",
          "p8": "5B",
          "p9": "5E",
          "position": "220"
        },
        "1B": {
          "key": "} \u00a8\n]] \u00b8",
          "p1": "7D",
          "p3": "A8",
          "p7": "5D",
          "p8": "5D",
          "p9": "B8",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ": ;\n ~",
          "p1": "3A",
          "p5": "3B",
          "p9": "7E",
          "position": "319"
        },
        "28": {
          "key": "\" `\n'{ `",
          "p1": "22",
          "p3": "60",
          "p7": "27",
          "p8": "7B",
          "p9": "60",
          "position": "320"
        },
        "29": {
          "key": "~ |\n`\\ #",
          "p1": "7E",
          "p3": "7C",
          "p7": "60",
          "p8": "5C",
          "p9": "23",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00a6 >\n\\} <",
          "p1": "00A6",
          "p3": "3E",
          "p7": "005C",
          "p8": "7D",
          "p9": "3C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m \u00b5",
          "p5": "6D",
          "p9": "00B5",
          "position": "416"
        },
        "33": {
          "key": "< '\n,\u00af ,",
          "p1": "3C",
          "p3": "27",
          "p7": "2C",
          "p8": "AF",
          "p9": "2C",
          "position": "417"
        },
        "34": {
          "key": "> .\n. .",
          "p1": "3E",
          "p3": "2E",
          "p7": "2E",
          "p9": "2E",
          "position": "418"
        },
        "35": {
          "key": "? \u00c9\n/ \u00b4",
          "p1": "3F",
          "p3": "C9",
          "p7": "2F",
          "p9": "B4",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "| \u00bb\n\\\u00b0 \u00ab",
          "p1": "7C",
          "p3": "BB",
          "p7": "005C",
          "p8": "B0",
          "p9": "AB",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt car",
          "label": "alt car",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "es": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1 |",
          "p2": "21",
          "p8": "31",
          "p9": "007C",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " \u00b7\n 3 #",
          "p2": "00B7",
          "p8": "33",
          "p9": "23",
          "position": "112"
        },
        "05": {
          "key": " $\n 4 ~",
          "p2": "24",
          "p8": "34",
          "p9": "007E",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6 \u00ac",
          "p2": "26",
          "p8": "36",
          "p9": "00AC",
          "position": "115"
        },
        "08": {
          "key": " /\n 7",
          "p2": "002F",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": " (\n 8",
          "p2": "28",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9",
          "p2": "29",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0",
          "p2": "003D",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": " ?\n '",
          "p2": "003F",
          "p8": "27",
          "position": "120"
        },
        "0D": {
          "key": "\u00bf\n\u00a1",
          "p2": "00BF",
          "p8": "00A1",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "^\n` [",
          "p2": "005E",
          "p8": "60",
          "p9": "005B",
          "position": "220"
        },
        "1B": {
          "key": "*\n+ ]",
          "p2": "002A",
          "p8": "002B",
          "p9": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": "\u00f1",
          "p5": "00F1",
          "position": "319"
        },
        "28": {
          "key": "\u00a8\n\u00b4 {",
          "p2": "00A8",
          "p8": "00B4",
          "p9": "007B",
          "position": "320"
        },
        "29": {
          "key": " \u00aa\n \u00ba \\",
          "p2": "00AA",
          "p8": "00BA",
          "p9": "005C",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00c7\n\u00e7 }",
          "p2": "00C7",
          "p8": "E7",
          "p9": "007D",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "003E",
          "p8": "003C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "es_419": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2",
          "p2": "22",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": " #\n 3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": " $\n 4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7",
          "p2": "002F",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": " (\n 8",
          "p2": "28",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9",
          "p2": "29",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0",
          "p2": "3d",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": " ?\n ' \\",
          "p2": "3f",
          "p8": "27",
          "p9": "005C",
          "position": "120"
        },
        "0D": {
          "key": "\u00a1\n\u00bf",
          "p2": "a1",
          "p8": "bf",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q @",
          "p5": "71",
          "p9": "40",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6f",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u00a8\n\u00b4",
          "p2": "A8",
          "p8": "B4",
          "position": "220"
        },
        "1B": {
          "key": "*\n+ ~",
          "p2": "2a",
          "p8": "2b",
          "p9": "7e",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "intro",
          "label": "intro",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6a",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6b",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6c",
          "position": "318"
        },
        "27": {
          "key": "\u00f1",
          "p5": "f1",
          "position": "319"
        },
        "28": {
          "key": "[\n{ ^",
          "p2": "5B",
          "p8": "7B",
          "p9": "5E",
          "position": "320"
        },
        "29": {
          "key": " \u00b0\n | \u00ac",
          "p2": "00B0",
          "p8": "007C",
          "p9": "00AC",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "may\u00fas",
          "label": "may\u00fas",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "]\n} `",
          "p2": "5D",
          "p8": "7D",
          "p9": "60",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7a",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6e",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6d",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "3b",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "3a",
          "p8": "2e",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "5f",
          "p8": "2d",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "may\u00fas",
          "label": "may\u00fas",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "3e",
          "p8": "3c",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "crtl",
          "label": "crtl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "et": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 \u00a3",
          "p2": "23",
          "p8": "33",
          "p9": "A3",
          "position": "112"
        },
        "05": {
          "key": " \u00a4\n 4 $",
          "p2": "A4",
          "p8": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 {",
          "p2": "2F",
          "p8": "37",
          "p9": "7B",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 [",
          "p2": "28",
          "p8": "38",
          "p9": "5B",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 ]",
          "p2": "29",
          "p8": "39",
          "p9": "5D",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 }",
          "p2": "3D",
          "p8": "30",
          "p9": "7D",
          "position": "119"
        },
        "0C": {
          "key": " ?\n + \\",
          "p2": "3F",
          "p8": "2B",
          "p9": "5C",
          "position": "120"
        },
        "0D": {
          "key": " `\n \u00b4",
          "p2": "60",
          "p8": "B4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": " w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": " \u00fc",
          "p5": "FC",
          "position": "220"
        },
        "1B": {
          "key": " \u00f5 \u00a7",
          "p5": "F5",
          "p9": "A7",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": " enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": " ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": " s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": " d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": " f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": " g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": " h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": " j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": " k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": " l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": " \u00f6",
          "p5": "00F6",
          "position": "319"
        },
        "28": {
          "key": " \u00e4 ^",
          "p5": "E4",
          "p9": "5E",
          "position": "320"
        },
        "29": {
          "key": " ~\n \u02c7",
          "p2": "7E",
          "p8": "2C7",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " *\n ' \u00bd",
          "p2": "2A",
          "p8": "27",
          "p9": "BD",
          "position": "290"
        },
        "2C": {
          "key": " z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": " x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": " c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": " v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": " b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": " n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": " m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": " ;\n ,",
          "p2": "3B",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": " :\n .",
          "p2": "3A",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": " _\n -",
          "p2": "5F",
          "p8": "2D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": " alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": " >\n < |",
          "p2": "3E",
          "p8": "3C",
          "p9": "7C",
          "position": "409"
        },
        "73": {
          "key": " ",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "key": " ",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "key": " ",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": " alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "fi": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 \u00a3",
          "p2": "23",
          "p8": "33",
          "p9": "00A3",
          "position": "112"
        },
        "05": {
          "key": " \u00a4\n 4 $",
          "p2": "00A4",
          "p8": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 {",
          "p2": "002F",
          "p8": "37",
          "p9": "007B",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 [",
          "p2": "28",
          "p8": "38",
          "p9": "005B",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 ]",
          "p2": "29",
          "p8": "39",
          "p9": "005D",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 }",
          "p2": "003D",
          "p8": "30",
          "p9": "007D",
          "position": "119"
        },
        "0C": {
          "key": " ?\n + \\",
          "p2": "003F",
          "p8": "002B",
          "p9": "005C",
          "position": "120"
        },
        "0D": {
          "key": " `\n \u00b4",
          "p2": "60",
          "p8": "00B4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": " w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": " \u00e5",
          "p5": "E5",
          "position": "220"
        },
        "1B": {
          "key": " ^\n \u00a8 ~",
          "p2": "005E",
          "p8": "00A8",
          "p9": "007E",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": " glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": " ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": " s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": " d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": " f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": " g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": " h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": " j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": " k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": " l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": " \u00f6",
          "p5": "00F6",
          "position": "319"
        },
        "28": {
          "key": " \u00e4",
          "p5": "E4",
          "position": "320"
        },
        "29": {
          "key": " \u00bd\n \u00a7",
          "p2": "00BD",
          "p8": "00A7",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " *\n '",
          "p2": "002A",
          "p8": "27",
          "position": "290"
        },
        "2C": {
          "key": " z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": " x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": " c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": " v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": " b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": " n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": " m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": " ;\n ,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": " :\n .",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": " _\n -",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": " alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": " >\n < |",
          "p2": "003E",
          "p8": "003C",
          "p9": "007C",
          "position": "409"
        },
        "73": {
          "key": " ",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "key": " ",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "key": " ",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": " alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "fil": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " @\n 2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": " #\n 3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": " $\n 4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " ^\n 6",
          "p2": "005E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " &\n 7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": " *\n 8",
          "p2": "002A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": " (\n 9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": " )\n 0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": " _\n -",
          "p2": "005F",
          "p8": "002D",
          "position": "120"
        },
        "0D": {
          "key": " +\n =",
          "p2": "002B",
          "p8": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "007B",
          "p8": "005B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "007D",
          "p8": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": " ~\n `",
          "p2": "007E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "007C",
          "p8": "005C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "fr": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " \u00e9chap",
          "label": "\u00e9chap",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " 1\n &",
          "p2": "31",
          "p8": "26",
          "position": "110"
        },
        "03": {
          "key": " 2\n \u00e9 ~",
          "p2": "32",
          "p8": "E9",
          "p9": "007E",
          "position": "111"
        },
        "04": {
          "key": " 3\n \" #",
          "p2": "33",
          "p8": "22",
          "p9": "23",
          "position": "112"
        },
        "05": {
          "key": " 4\n ' {",
          "p2": "34",
          "p8": "27",
          "p9": "007B",
          "position": "113"
        },
        "06": {
          "key": " 5\n ( [",
          "p2": "35",
          "p8": "28",
          "p9": "005B",
          "position": "114"
        },
        "07": {
          "key": " 6\n - |",
          "p2": "36",
          "p8": "2D",
          "p9": "007C",
          "position": "115"
        },
        "08": {
          "key": " 7\n \u00e8 `",
          "p2": "37",
          "p8": "E8",
          "p9": "60",
          "position": "116"
        },
        "09": {
          "key": " 8\n _ \\",
          "p2": "38",
          "p8": "5F",
          "p9": "005C",
          "position": "117"
        },
        "0A": {
          "key": " 9\n \u00e7 ^",
          "p2": "39",
          "p8": "E7",
          "p9": "005E",
          "position": "118"
        },
        "0B": {
          "key": " 0\n \u00e0 @",
          "p2": "30",
          "p8": "E0",
          "p9": "40",
          "position": "119"
        },
        "0C": {
          "key": " \u00b0\n ) ]",
          "p2": "00B0",
          "p8": "29",
          "p9": "005D",
          "position": "120"
        },
        "0D": {
          "key": " +\n = }",
          "p2": "002B",
          "p8": "003D",
          "p9": "007D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "a",
          "p5": "61",
          "position": "210"
        },
        "11": {
          "key": "z",
          "p5": "007A",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u00a8\n^",
          "p2": "A8",
          "p8": "5E",
          "position": "220"
        },
        "1B": {
          "key": "\u00a3\n$ \u00a4",
          "p2": "A3",
          "p8": "24",
          "p9": "A4",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "q",
          "p5": "71",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": "m",
          "p5": "006D",
          "position": "319"
        },
        "28": {
          "key": "%\n\u00f9",
          "p2": "25",
          "p8": "F9",
          "position": "320"
        },
        "29": {
          "key": " \u00b2",
          "p8": "B2",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00b5\n*",
          "p2": "B5",
          "p8": "2A",
          "position": "290"
        },
        "2C": {
          "key": "w",
          "p5": "77",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "?\n,",
          "p2": "3F",
          "p8": "2C",
          "position": "416"
        },
        "33": {
          "key": ".\n;",
          "p2": "2E",
          "p8": "3B",
          "position": "417"
        },
        "34": {
          "key": "/\n:",
          "p2": "2F",
          "p8": "3A",
          "position": "418"
        },
        "35": {
          "key": "\u00a7\n!",
          "p2": "A7",
          "p8": "21",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "3E",
          "p8": "3C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "fr_CA": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "\u00e9chap",
          "label": "\u00e9chap",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1 \u00b1",
          "p2": "21",
          "p8": "31",
          "p9": "B1",
          "position": "110"
        },
        "03": {
          "key": "\"\n2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": "/\n3 \u00a3",
          "p2": "2F",
          "p8": "33",
          "p9": "A3",
          "position": "112"
        },
        "05": {
          "key": "$\n4 \u00a2",
          "p2": "24",
          "p8": "34",
          "p9": "A2",
          "position": "113"
        },
        "06": {
          "key": "%\n5 \u00a4",
          "p2": "25",
          "p8": "35",
          "p9": "A4",
          "position": "114"
        },
        "07": {
          "key": "?\n6 \u00ac",
          "p2": "3F",
          "p8": "36",
          "p9": "AC",
          "position": "115"
        },
        "08": {
          "key": "&\n7 \u00a6",
          "p2": "26",
          "p8": "37",
          "p9": "A6",
          "position": "116"
        },
        "09": {
          "key": "*\n8 \u00b2",
          "p2": "2A",
          "p8": "38",
          "p9": "B2",
          "position": "117"
        },
        "0A": {
          "key": "(\n9 \u00b3",
          "p2": "28",
          "p8": "39",
          "p9": "B3",
          "position": "118"
        },
        "0B": {
          "key": ")\n0 \u00bc",
          "p2": "29",
          "p8": "30",
          "p9": "BC",
          "position": "119"
        },
        "0C": {
          "key": "_\n- \u00bd",
          "p2": "5F",
          "p8": "2D",
          "p9": "BD",
          "position": "120"
        },
        "0D": {
          "key": "+\n= \u00be",
          "p2": "2B",
          "p8": "3D",
          "p9": "BE",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o \u00a7",
          "p5": "006F",
          "p9": "00A7",
          "position": "218"
        },
        "19": {
          "key": "p \u00b6",
          "p5": "70",
          "p9": "00B6",
          "position": "219"
        },
        "1A": {
          "key": "^\n^ [",
          "p2": "5E",
          "p8": "5E",
          "p9": "5B",
          "position": "220"
        },
        "1B": {
          "key": "\u00a8\n\u00b8 ]",
          "p2": "A8",
          "p8": "B8",
          "p9": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n; ~",
          "p2": "3A",
          "p8": "3B",
          "p9": "7E",
          "position": "319"
        },
        "28": {
          "key": "`\n` {",
          "p2": "60",
          "p8": "60",
          "p9": "7B",
          "position": "320"
        },
        "29": {
          "key": "|\n# \\",
          "p2": "7C",
          "p8": "23",
          "p9": "5C",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": ">\n< }",
          "p2": "3E",
          "p8": "3C",
          "p9": "7D",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m \u00b5",
          "p5": "6D",
          "p9": "00B5",
          "position": "416"
        },
        "33": {
          "key": "'\n, \u00af",
          "p2": "27",
          "p8": "2C",
          "p9": "AF",
          "position": "417"
        },
        "34": {
          "key": ".\n. \u00ad",
          "p2": "2E",
          "p8": "2E",
          "p9": "AD",
          "position": "418"
        },
        "35": {
          "key": "\u00c9\n\u00e9 \u00b4",
          "p2": "C9",
          "p8": "E9",
          "p9": "B4",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "\u00bb\n\u00ab \u00b0",
          "p2": "BB",
          "p8": "AB",
          "p9": "B0",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "hi": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \u090d\n1 \u0967",
          "p1": "21",
          "p3": "090D",
          "p7": "31",
          "p9": "967",
          "position": "110"
        },
        "03": {
          "key": "@ \u0945\n2 \u0968",
          "p1": "40",
          "p3": "945",
          "p7": "32",
          "p9": "968",
          "position": "111"
        },
        "04": {
          "key": "#VALUE!",
          "notes": "\u094d\u0930",
          "p1": "23",
          "p3": "094D0930",
          "p7": "33",
          "p9": "969",
          "position": "112"
        },
        "05": {
          "key": "#VALUE!",
          "notes": "\u0930\u094d",
          "p1": "24",
          "p3": "0930094D",
          "p7": "34",
          "p9": "96A",
          "position": "113"
        },
        "06": {
          "key": "#NUM!",
          "notes": "\u091c\u094d\u091e",
          "p1": "25",
          "p3": "091C094D091E",
          "p7": "35",
          "p9": "96B",
          "position": "114"
        },
        "07": {
          "key": "#NUM!",
          "notes": "\u0924\u094d\u0930",
          "p1": "5E",
          "p3": "0924094D0930",
          "p7": "36",
          "p9": "96C",
          "position": "115"
        },
        "08": {
          "key": "#NUM!",
          "notes": "\u0915\u094d\u0937",
          "p1": "26",
          "p3": "0915094D0937",
          "p7": "37",
          "p9": "96D",
          "position": "116"
        },
        "09": {
          "key": "#NUM!",
          "notes": "\u0936\u094d\u0930",
          "p1": "2A",
          "p3": "0936094D0930",
          "p7": "38",
          "p9": "96E",
          "position": "117"
        },
        "0A": {
          "key": "( (\n9 \u096f",
          "p1": "28",
          "p3": "28",
          "p7": "39",
          "p9": "96F",
          "position": "118"
        },
        "0B": {
          "key": ") )\n0 \u0966",
          "p1": "29",
          "p3": "29",
          "p7": "30",
          "p9": "966",
          "position": "119"
        },
        "0C": {
          "key": "_ \u0903\n- ",
          "p1": "5F",
          "p3": "903",
          "p7": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+ \u090b\n= \u0943",
          "p1": "2B",
          "p3": "090B",
          "p7": "3D",
          "p9": "943",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " \u0914\nq \u094c",
          "p3": "914",
          "p7": "71",
          "p9": "094C",
          "position": "210"
        },
        "11": {
          "key": " \u0910\nw \u0948",
          "p3": "910",
          "p7": "77",
          "p9": "948",
          "position": "211"
        },
        "12": {
          "key": " \u0906\ne \u093e",
          "p3": "906",
          "p7": "65",
          "p9": "093E",
          "position": "212"
        },
        "13": {
          "key": " \u0908\nr \u0940",
          "p3": "908",
          "p7": "72",
          "p9": "940",
          "position": "213"
        },
        "14": {
          "key": " \u090a\nt \u0942",
          "p3": "090A",
          "p7": "74",
          "p9": "942",
          "position": "214"
        },
        "15": {
          "key": " \u092d\ny \u092c",
          "p3": "092D",
          "p7": "79",
          "p9": "092C",
          "position": "215"
        },
        "16": {
          "key": " \u0919\nu \u0939",
          "p3": "919",
          "p7": "75",
          "p9": "939",
          "position": "216"
        },
        "17": {
          "key": " \u0918\ni \u0917",
          "p3": "918",
          "p7": "69",
          "p9": "917",
          "position": "217"
        },
        "18": {
          "key": " \u0927\no \u0926",
          "p3": "927",
          "p7": "6F",
          "p9": "926",
          "position": "218"
        },
        "19": {
          "key": " \u091d\np \u091c",
          "p3": "091D",
          "p7": "70",
          "p9": "091C",
          "position": "219"
        },
        "1A": {
          "key": "{ \u0922\n[ \u0921",
          "p1": "7B",
          "p3": "922",
          "p7": "5B",
          "p9": "921",
          "position": "220"
        },
        "1B": {
          "key": "} \u091e\n] \u093c",
          "p1": "7D",
          "p3": "091E",
          "p7": "5D",
          "p9": "093C",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " \u0913\na \u094b",
          "p3": "913",
          "p7": "61",
          "p9": "094B",
          "position": "310"
        },
        "1F": {
          "key": " \u090f\ns \u0947",
          "p3": "090F",
          "p7": "73",
          "p9": "947",
          "position": "311"
        },
        "20": {
          "key": " \u0905\nd \u094d",
          "p3": "905",
          "p7": "64",
          "p9": "094D",
          "position": "312"
        },
        "21": {
          "key": " \u0907\nf \u093f",
          "p3": "907",
          "p7": "66",
          "p9": "093F",
          "position": "313"
        },
        "22": {
          "key": " \u0909\ng \u0941",
          "p3": "909",
          "p7": "67",
          "p9": "941",
          "position": "314"
        },
        "23": {
          "key": " \u092b\nh \u092a",
          "p3": "092B",
          "p7": "68",
          "p9": "092A",
          "position": "315"
        },
        "24": {
          "key": " \u0931\nj \u0930",
          "p3": "931",
          "p7": "6A",
          "p9": "930",
          "position": "316"
        },
        "25": {
          "key": " \u0916\nk \u0915",
          "p3": "916",
          "p7": "6B",
          "p9": "915",
          "position": "317"
        },
        "26": {
          "key": " \u0925\nl \u0924",
          "p3": "925",
          "p7": "6C",
          "p9": "924",
          "position": "318"
        },
        "27": {
          "key": ": \u091b\n; \u091a",
          "p1": "3A",
          "p3": "091B",
          "p7": "3B",
          "p9": "091A",
          "position": "319"
        },
        "28": {
          "key": "\" \u0920\n' \u091f",
          "p1": "22",
          "p3": "920",
          "p7": "27",
          "p9": "091F",
          "position": "320"
        },
        "29": {
          "key": "~ \u0912\n` \u094a",
          "p1": "7E",
          "p3": "912",
          "p7": "60",
          "p9": "094A",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| \u0911\n\\ \u0949",
          "p1": "7C",
          "p3": "911",
          "p7": "5C",
          "p9": "949",
          "position": "290"
        },
        "2C": {
          "key": " \u090e\nz \u0946",
          "p3": "090E",
          "p7": "7A",
          "p9": "946",
          "position": "410"
        },
        "2D": {
          "key": " \u0901\nx \u0902",
          "p3": "901",
          "p7": "78",
          "p9": "902",
          "position": "411"
        },
        "2E": {
          "key": " \u0923\nc \u092e",
          "p3": "923",
          "p7": "63",
          "p9": "092E",
          "position": "412"
        },
        "2F": {
          "key": " \u0929\nv \u0928",
          "p3": "929",
          "p7": "76",
          "p9": "928",
          "position": "413"
        },
        "30": {
          "key": " \u0934\nb \u0935",
          "p3": "934",
          "p7": "62",
          "p9": "935",
          "position": "414"
        },
        "31": {
          "key": " \u0933\nn \u0932",
          "p3": "933",
          "p7": "6E",
          "p9": "932",
          "position": "415"
        },
        "32": {
          "key": " \u0936\nm \u0938",
          "p3": "936",
          "p7": "6D",
          "p9": "938",
          "position": "416"
        },
        "33": {
          "key": "< \u0937\n, ,",
          "p1": "3C",
          "p3": "937",
          "p7": "2C",
          "p9": "002C",
          "position": "417"
        },
        "34": {
          "key": "> \u0964\n. .",
          "p1": "3E",
          "p3": "964",
          "p7": "2E",
          "p9": "002E",
          "position": "418"
        },
        "35": {
          "key": "? \u095f\n/ \u092f",
          "p1": "3F",
          "p3": "095F",
          "p7": "2F",
          "p9": "092F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "hr": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1 ~",
          "p2": "21",
          "p8": "31",
          "p9": "007E",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 \u02c7",
          "p2": "22",
          "p8": "32",
          "p9": "02C7",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 ^",
          "p2": "23",
          "p8": "33",
          "p9": "005E",
          "position": "112"
        },
        "05": {
          "key": " $\n 4 \u02d8",
          "p2": "24",
          "p8": "34",
          "p9": "02D8",
          "position": "113"
        },
        "06": {
          "key": " %\n 5 \u02da",
          "p2": "25",
          "p8": "35",
          "p9": "02DA",
          "position": "114"
        },
        "07": {
          "key": " &\n 6 \u02db",
          "p2": "26",
          "p8": "36",
          "p9": "02DB",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 `",
          "p2": "002F",
          "p8": "37",
          "p9": "60",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 \u02d9",
          "p2": "28",
          "p8": "38",
          "p9": "02D9",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 \u00b4",
          "p2": "29",
          "p8": "39",
          "p9": "00B4",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 \u02dd",
          "p2": "003D",
          "p8": "30",
          "p9": "02DD",
          "position": "119"
        },
        "0C": {
          "key": " ?\n ' \u00a8",
          "p2": "003F",
          "p8": "27",
          "p9": "00A8",
          "position": "120"
        },
        "0D": {
          "key": " *\n + \u00b8",
          "p2": "002A",
          "p8": "002B",
          "p9": "00B8",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \\",
          "p5": "71",
          "p9": "005C",
          "position": "210"
        },
        "11": {
          "key": "w |",
          "p5": "77",
          "p9": "007C",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "z",
          "p5": "007A",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u0161 \u00f7",
          "p5": "161",
          "p9": "00F7",
          "position": "220"
        },
        "1B": {
          "key": "\u0111 \u00d7",
          "p5": "111",
          "p9": "00D7",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f [",
          "p5": "66",
          "p9": "005B",
          "position": "313"
        },
        "22": {
          "key": "g ]",
          "p5": "67",
          "p9": "005D",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k \u0142",
          "p5": "006B",
          "p9": "142",
          "position": "317"
        },
        "26": {
          "key": "l \u0141",
          "p5": "006C",
          "p9": "141",
          "position": "318"
        },
        "27": {
          "key": "\u010d",
          "p5": "10D",
          "position": "319"
        },
        "28": {
          "key": "\u0107 \u00df",
          "p5": "107",
          "p9": "00DF",
          "position": "320"
        },
        "29": {
          "key": " \u00a8\n \u00b8",
          "p2": "00A8",
          "p8": "00B8",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u017e \u00a4",
          "p5": "17E",
          "p9": "00A4",
          "position": "290"
        },
        "2C": {
          "key": "y",
          "p5": "79",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v @",
          "p5": "76",
          "p9": "40",
          "position": "413"
        },
        "30": {
          "key": "b {",
          "p5": "62",
          "p9": "007B",
          "position": "414"
        },
        "31": {
          "key": "n }",
          "p5": "006E",
          "p9": "007D",
          "position": "415"
        },
        "32": {
          "key": "m \u00a7",
          "p5": "006D",
          "p9": "00A7",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "003E",
          "p8": "003C",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "hu": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " '\n 1 ~",
          "p2": "27",
          "p8": "31",
          "p9": "7e",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 \u02c7",
          "p2": "22",
          "p8": "32",
          "p9": "2c7",
          "position": "111"
        },
        "04": {
          "key": " +\n 3 ^",
          "p2": "2b",
          "p8": "33",
          "p9": "5e",
          "position": "112"
        },
        "05": {
          "key": " !\n 4 \u02d8",
          "p2": "21",
          "p8": "34",
          "p9": "2d8",
          "position": "113"
        },
        "06": {
          "key": " %\n 5 \u02da",
          "p2": "25",
          "p8": "35",
          "p9": "2da",
          "position": "114"
        },
        "07": {
          "key": " /\n 6 \u02db",
          "p2": "2f",
          "p8": "36",
          "p9": "2db",
          "position": "115"
        },
        "08": {
          "key": " =\n 7 `",
          "p2": "3d",
          "p8": "37",
          "p9": "60",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 \u02d9",
          "p2": "28",
          "p8": "38",
          "p9": "2d9",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 \u00b4",
          "p2": "29",
          "p8": "39",
          "p9": "b4",
          "position": "118"
        },
        "0B": {
          "key": " \u00f6 \u02dd",
          "p5": "f6",
          "p9": "2dd",
          "position": "119"
        },
        "0C": {
          "key": " \u00fc \u00a8",
          "p5": "fc",
          "p9": "a8",
          "position": "120"
        },
        "0D": {
          "key": " \u00f3 \u00b8",
          "p5": "f3",
          "p9": "b8",
          "position": "121"
        },
        "0E": {
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q q\n \\",
          "p5": "71",
          "p9": "5c",
          "position": "210"
        },
        "11": {
          "key": "w w\n |",
          "p5": "77",
          "p9": "7c",
          "position": "211"
        },
        "12": {
          "key": "e e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "z z",
          "p5": "7a",
          "position": "215"
        },
        "16": {
          "key": "u u\n \u20ac",
          "p5": "75",
          "p9": "20ac",
          "position": "216"
        },
        "17": {
          "key": "i i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o o",
          "p5": "6f",
          "position": "218"
        },
        "19": {
          "key": "p p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u0151 \u0151\n \u00f7",
          "p5": "151",
          "p9": "f7",
          "position": "220"
        },
        "1B": {
          "key": "\u00fa \u00fa\n \u00d7",
          "p5": "fa",
          "p9": "d7",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s \u0111",
          "p5": "73",
          "p9": "111",
          "position": "311"
        },
        "20": {
          "key": "d \u0110",
          "p5": "64",
          "p9": "110",
          "position": "312"
        },
        "21": {
          "key": "f [",
          "p5": "66",
          "p9": "5b",
          "position": "313"
        },
        "22": {
          "key": "g ]",
          "p5": "67",
          "p9": "5d",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6a",
          "position": "316"
        },
        "25": {
          "key": "k \u0142",
          "p5": "6b",
          "p9": "142",
          "position": "317"
        },
        "26": {
          "key": "l \u0141",
          "p5": "6c",
          "p9": "141",
          "position": "318"
        },
        "27": {
          "key": "\u00e9 $",
          "p5": "e9",
          "p9": "24",
          "position": "319"
        },
        "28": {
          "key": "\u00e1 \u00df",
          "p5": "e1",
          "p9": "df",
          "position": "320"
        },
        "29": {
          "key": " \u00a7\n 0",
          "p2": "a7",
          "p8": "30",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u0171 \u0171\n \u00a4",
          "p5": "171",
          "p9": "a4",
          "position": "290"
        },
        "2C": {
          "key": "y >",
          "p5": "79",
          "p9": "3e",
          "position": "410"
        },
        "2D": {
          "key": "x #",
          "p5": "78",
          "p9": "23",
          "position": "411"
        },
        "2E": {
          "key": "c &",
          "p5": "63",
          "p9": "26",
          "position": "412"
        },
        "2F": {
          "key": "v @",
          "p5": "76",
          "p9": "40",
          "position": "413"
        },
        "30": {
          "key": "b {",
          "p5": "62",
          "p9": "7b",
          "position": "414"
        },
        "31": {
          "key": "n }",
          "p5": "6e",
          "p9": "7d",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6d",
          "position": "416"
        },
        "33": {
          "key": "?\n, ;",
          "p2": "3f",
          "p8": "2c",
          "p9": "3b",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "3a",
          "p8": "2e",
          "position": "418"
        },
        "35": {
          "key": "_\n- *",
          "p2": "5f",
          "p8": "2d",
          "p9": "2a",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "\u00ed <",
          "p5": "ed",
          "p9": "3c",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller"
        },
        "7B": {
          "format": "smaller"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller"
        },
        "E0 38": {
          "format": "smaller"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "id": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "it": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2",
          "p2": "22",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": " \u00a3\n 3",
          "p2": "A3",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": " $\n 4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7",
          "p2": "2F",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": " (\n 8",
          "p2": "28",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9",
          "p2": "29",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0",
          "p2": "3D",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": " ?\n '",
          "p2": "3F",
          "p8": "27",
          "position": "120"
        },
        "0D": {
          "key": " ^\n \u00ec",
          "p2": "5E",
          "p8": "EC",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u00e9\n\u00e8 [",
          "p2": "E9",
          "p8": "E8",
          "p9": "5B",
          "position": "220"
        },
        "1B": {
          "key": "*\n+ ]",
          "p2": "2A",
          "p8": "2B",
          "p9": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "invio",
          "label": "invio",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": "\u00e7\n\u00f2 @",
          "p2": "E7",
          "p8": "F2",
          "p9": "40",
          "position": "319"
        },
        "28": {
          "key": "\u00b0\n\u00e0 #",
          "p2": "B0",
          "p8": "E0",
          "p9": "23",
          "position": "320"
        },
        "29": {
          "key": " |\n \\",
          "p2": "7C",
          "p8": "5C",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "maiusc",
          "label": "maiusc",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00a7\n\u00f9 `",
          "p2": "A7",
          "p8": "F9",
          "p9": "60",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "3B",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "3A",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "maiusc",
          "label": "maiusc",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "3E",
          "p8": "3C",
          "position": "409"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "iw": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": "@ \n2 ",
          "p1": "40",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": "# \n3 ",
          "p1": "23",
          "p7": "33",
          "position": "112"
        },
        "05": {
          "key": "$ \u20aa\n4 ",
          "p1": "24",
          "p3": "20aa",
          "p7": "34",
          "position": "113"
        },
        "06": {
          "key": "% \n5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": "^ \n6 ",
          "p1": "5E",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": "& \n7 ",
          "p1": "26",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "* \n8 ",
          "p1": "2A",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( \n9 ",
          "p1": "28",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \n0 ",
          "p1": "29",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ \n- ",
          "p1": "5F",
          "p7": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= ",
          "p1": "2B",
          "p7": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q /",
          "p5": "71",
          "p9": "2F",
          "position": "210"
        },
        "11": {
          "key": "w '",
          "p5": "77",
          "p9": "27",
          "position": "211"
        },
        "12": {
          "key": " \u20ace\n \u05e7",
          "notes": "5e7=\u05e7",
          "p3": "20ac",
          "p5": "65",
          "p9": "5e7",
          "position": "212"
        },
        "13": {
          "key": "r \u05e8",
          "notes": "5e8=\u05e8",
          "p5": "72",
          "p9": "5e8",
          "position": "213"
        },
        "14": {
          "key": "t \u05d0",
          "p5": "74",
          "p9": "5D0",
          "position": "214"
        },
        "15": {
          "key": "y \u05d8",
          "p5": "79",
          "p9": "5D8",
          "position": "215"
        },
        "16": {
          "key": "u \u05d5",
          "p5": "75",
          "p9": "5D5",
          "position": "216"
        },
        "17": {
          "key": "i \u05df",
          "p5": "69",
          "p9": "5Df",
          "position": "217"
        },
        "18": {
          "key": "o \u05dd",
          "p5": "6F",
          "p9": "5dd",
          "position": "218"
        },
        "19": {
          "key": "p \u05e4",
          "notes": "5e4=\u05e4",
          "p5": "70",
          "p9": "5e4",
          "position": "219"
        },
        "1A": {
          "key": "{ \n[ ",
          "p1": "7b",
          "p7": "5B",
          "position": "220"
        },
        "1B": {
          "key": "} \n] ",
          "p1": "7D",
          "p7": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \u05e9",
          "notes": "5E9=\u05e9",
          "p5": "61",
          "p9": "5e9",
          "position": "310"
        },
        "1F": {
          "key": "s \u05d3",
          "p5": "73",
          "p9": "5d3",
          "position": "311"
        },
        "20": {
          "key": "d \u05d2",
          "p5": "64",
          "p9": "5d2",
          "position": "312"
        },
        "21": {
          "key": "f \u05db",
          "p5": "66",
          "p9": "5db",
          "position": "313"
        },
        "22": {
          "key": "g \u05e2",
          "notes": "5e2=\u05e2",
          "p5": "67",
          "p9": "5e2",
          "position": "314"
        },
        "23": {
          "key": "h \u05d9",
          "p5": "68",
          "p9": "5d9",
          "position": "315"
        },
        "24": {
          "key": "j \u05d7",
          "p5": "6A",
          "p9": "5d7",
          "position": "316"
        },
        "25": {
          "key": "k \u05dc",
          "p5": "6B",
          "p9": "5dc",
          "position": "317"
        },
        "26": {
          "key": "l \u05da",
          "p5": "6C",
          "p9": "5da",
          "position": "318"
        },
        "27": {
          "key": ": \n; \u05e3",
          "notes": "5e3=\u05e3",
          "p1": "3a",
          "p7": "3b",
          "p9": "5e3",
          "position": "319"
        },
        "28": {
          "key": "\" \n\u00b4 ",
          "p1": "22",
          "p7": "b4",
          "position": "320"
        },
        "29": {
          "key": "~ \n` ;",
          "p1": "7E",
          "p7": "60",
          "p9": "3b",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00a6 \n\\ ",
          "p1": "A6",
          "p7": "5C",
          "position": "290"
        },
        "2C": {
          "key": "z \u05d6",
          "p5": "7A",
          "p9": "5d6",
          "position": "410"
        },
        "2D": {
          "key": "x \u05e1",
          "notes": "5e1=\u05e1",
          "p5": "78",
          "p9": "5e1",
          "position": "411"
        },
        "2E": {
          "key": "c \u05d1",
          "p5": "63",
          "p9": "5d1",
          "position": "412"
        },
        "2F": {
          "key": "v \u05d4",
          "p5": "76",
          "p9": "5d4",
          "position": "413"
        },
        "30": {
          "key": "b \u05e0",
          "notes": "5e0=\u05e0",
          "p5": "62",
          "p9": "5e0",
          "position": "414"
        },
        "31": {
          "key": "n \u05de",
          "p5": "6E",
          "p9": "5de",
          "position": "415"
        },
        "32": {
          "key": "m \u05e6",
          "notes": "5e5=\u05e6 -Zadi (5e6)? -ginsberg",
          "p5": "6D",
          "p9": "5e6",
          "position": "416"
        },
        "33": {
          "key": "< \n\u00b8 \u05ea",
          "p1": "3c",
          "p7": "b8",
          "p9": "5ea",
          "position": "417"
        },
        "34": {
          "key": "> \n. \u05e5",
          "notes": "5e5=\u05e5",
          "p1": "3e",
          "p7": "2e",
          "p9": "5e5",
          "position": "418"
        },
        "35": {
          "key": "? \n/ .",
          "p1": "3f",
          "p7": "2f",
          "p9": "2e",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "ja": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " ! \n 1 \u306c",
          "p1": "21",
          "p7": "31",
          "p9": "306C",
          "position": "110"
        },
        "03": {
          "key": " \" \n 2 \u3075",
          "p1": "22",
          "p7": "32",
          "p9": "3075",
          "position": "111"
        },
        "04": {
          "key": " # \u3041\n 3 \u3042",
          "p1": "23",
          "p3": "3041",
          "p7": "33",
          "p9": "3042",
          "position": "112"
        },
        "05": {
          "key": " $ \u3045\n 4 \u3046",
          "p1": "24",
          "p3": "3045",
          "p7": "34",
          "p9": "3046",
          "position": "113"
        },
        "06": {
          "key": " % \u3047\n 5 \u3048",
          "p1": "25",
          "p3": "3047",
          "p7": "35",
          "p9": "3048",
          "position": "114"
        },
        "07": {
          "key": " & \u3049\n 6 \u304a",
          "p1": "26",
          "p3": "3049",
          "p7": "36",
          "p9": "304A",
          "position": "115"
        },
        "08": {
          "key": " ' \u3083\n 7 \u3084",
          "p1": "27",
          "p3": "3083",
          "p7": "37",
          "p9": "3084",
          "position": "116"
        },
        "09": {
          "key": " ( \u3085\n 8 \u3086",
          "p1": "28",
          "p3": "3085",
          "p7": "38",
          "p9": "3086",
          "position": "117"
        },
        "0A": {
          "key": " ) \u3087\n 9 \u3088",
          "p1": "29",
          "p3": "3087",
          "p7": "39",
          "p9": "3088",
          "position": "118"
        },
        "0B": {
          "key": "  \u3092\n 0 \u308f",
          "p3": "3092",
          "p7": "30",
          "p9": "308F",
          "position": "119"
        },
        "0C": {
          "key": " = \n - \u307b",
          "p1": "3D",
          "p7": "2D",
          "p9": "307B",
          "position": "120"
        },
        "0D": {
          "key": " ~ \n ^ \u3078",
          "p1": "7E",
          "p7": "5E",
          "p9": "3078",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \n \u305f",
          "p1": "71",
          "p9": "305F",
          "position": "210"
        },
        "11": {
          "key": "w \n \u3066",
          "p1": "77",
          "p9": "3066",
          "position": "211"
        },
        "12": {
          "key": "e \u3043\n \u3044",
          "p1": "65",
          "p3": "3043",
          "p9": "3044",
          "position": "212"
        },
        "13": {
          "key": "r \n \u3059",
          "p1": "72",
          "p9": "3059",
          "position": "213"
        },
        "14": {
          "key": "t \n \u304b",
          "p1": "74",
          "p9": "304B",
          "position": "214"
        },
        "15": {
          "key": "y \n \u3093",
          "p1": "79",
          "p9": "3093",
          "position": "215"
        },
        "16": {
          "key": "u \n \u306a",
          "p1": "75",
          "p9": "306A",
          "position": "216"
        },
        "17": {
          "key": "i \n \u306b",
          "p1": "69",
          "p9": "306B",
          "position": "217"
        },
        "18": {
          "key": "o \n \u3089",
          "p1": "6F",
          "p9": "3089",
          "position": "218"
        },
        "19": {
          "key": "p \n \u305b",
          "p1": "70",
          "p9": "305B",
          "position": "219"
        },
        "1A": {
          "key": "` \n@ \u3099",
          "p1": "60",
          "p7": "40",
          "p9": "3099",
          "position": "220"
        },
        "1B": {
          "key": "{ \u300c\n[ \u309a",
          "p1": "7B",
          "p3": "300C",
          "p7": "5B",
          "p9": "309A",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \n \u3061",
          "p1": "61",
          "p9": "3061",
          "position": "310"
        },
        "1F": {
          "key": "s \n \u3068",
          "p1": "73",
          "p9": "3068",
          "position": "311"
        },
        "20": {
          "key": "d \n \u3057",
          "p1": "64",
          "p9": "3057",
          "position": "312"
        },
        "21": {
          "key": "f \n \u306f",
          "p1": "66",
          "p9": "306F",
          "position": "313"
        },
        "22": {
          "key": "g \n \u304d",
          "p1": "67",
          "p9": "304D",
          "position": "314"
        },
        "23": {
          "key": "h \n \u304f",
          "p1": "68",
          "p9": "304F",
          "position": "315"
        },
        "24": {
          "key": "j \n \u307e",
          "p1": "6A",
          "p9": "307E",
          "position": "316"
        },
        "25": {
          "key": "k \n \u306e",
          "p1": "6B",
          "p9": "306E",
          "position": "317"
        },
        "26": {
          "key": "l \n \u308a",
          "p1": "6C",
          "p9": "308A",
          "position": "318"
        },
        "27": {
          "key": "+ \n; \u308c",
          "p1": "2B",
          "p7": "3B",
          "p9": "308C",
          "position": "319"
        },
        "28": {
          "key": "* \n: \u3051",
          "p1": "2A",
          "p7": "3A",
          "p9": "3051",
          "position": "320"
        },
        "29": {
          "key": " glyph_ime",
          "label": "glyph_ime",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "} \u300d\n] \u3080",
          "p1": "7D",
          "p3": "300D",
          "p7": "5D",
          "p9": "3080",
          "position": "290"
        },
        "2C": {
          "key": "z \n \u3064",
          "p1": "7A",
          "p9": "3064",
          "position": "410"
        },
        "2D": {
          "key": "x \n \u3055",
          "p1": "78",
          "p9": "3055",
          "position": "411"
        },
        "2E": {
          "key": "c \n \u305d",
          "p1": "63",
          "p9": "305D",
          "position": "412"
        },
        "2F": {
          "key": "v \n \u3072",
          "p1": "76",
          "p9": "3072",
          "position": "413"
        },
        "30": {
          "key": "b \n \u3053",
          "p1": "62",
          "p9": "3053",
          "position": "414"
        },
        "31": {
          "key": "n \n \u307f",
          "p1": "6E",
          "p9": "307F",
          "position": "415"
        },
        "32": {
          "key": "m \n \u3082",
          "p1": "6D",
          "p9": "3082",
          "position": "416"
        },
        "33": {
          "key": "< \uff64\n, \u306d",
          "p1": "3C",
          "p3": "FF64",
          "p7": "2C",
          "p9": "306D",
          "position": "417"
        },
        "34": {
          "key": "> \uff61\n. \u308b",
          "p1": "3E",
          "p3": "FF61",
          "p7": "2E",
          "p9": "308B",
          "position": "418"
        },
        "35": {
          "key": "? \uff65\n/ \u3081",
          "p1": "3F",
          "p3": "FF65",
          "p7": "2F",
          "p9": "3081",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "key": "_ \n\\ \u308d",
          "notes": "\u2013 \n\\ \u308d",
          "p1": "5F",
          "p7": "5C",
          "p9": "308D",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "key": "\u304b\u306a",
          "label": "\u304b\u306a",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "key": "\u82f1\u6570",
          "label": "\u82f1\u6570",
          "position": "550"
        },
        "7D": {
          "key": "| \n\u00a5 \u30fc",
          "p1": "7C",
          "p7": "A5",
          "p9": "30FC",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search (Updated to Japanese \"kensaku\" - ginsberg)",
          "position": "300"
        }
      },
      "layoutName": "J"
    },
    "ko": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "005E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "002A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "002B",
          "p8": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \u3143\n \u3142",
          "p1": "71",
          "p3": "3143",
          "p9": "3142",
          "position": "210"
        },
        "11": {
          "key": "w \u3149\n \u3148",
          "p1": "77",
          "p3": "3149",
          "p9": "3148",
          "position": "211"
        },
        "12": {
          "key": "e \u3138\n \u3137",
          "p1": "65",
          "p3": "3138",
          "p9": "3137",
          "position": "212"
        },
        "13": {
          "key": "r \u3132\n \u3131",
          "p1": "72",
          "p3": "3132",
          "p9": "3131",
          "position": "213"
        },
        "14": {
          "key": "t \u3146\n \u3145",
          "p1": "74",
          "p3": "3146",
          "p9": "3145",
          "position": "214"
        },
        "15": {
          "key": "y \n \u315b",
          "p1": "79",
          "p9": "315B",
          "position": "215"
        },
        "16": {
          "key": "u \n \u3155",
          "p1": "75",
          "p9": "3155",
          "position": "216"
        },
        "17": {
          "key": "i \n \u3151",
          "p1": "69",
          "p9": "3151",
          "position": "217"
        },
        "18": {
          "key": "o \u3152\n \u3150",
          "p1": "6F",
          "p3": "3152",
          "p9": "3150",
          "position": "218"
        },
        "19": {
          "key": "p \u3156\n \u3154",
          "p1": "70",
          "p3": "3156",
          "p9": "3154",
          "position": "219"
        },
        "1A": {
          "key": "{ \n[ ",
          "p1": "007B",
          "p7": "005B",
          "position": "220"
        },
        "1B": {
          "key": "} \n] ",
          "p1": "007D",
          "p7": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \n \u3141",
          "p1": "61",
          "p9": "3141",
          "position": "310"
        },
        "1F": {
          "key": "s \n \u3134",
          "p1": "73",
          "p9": "3134",
          "position": "311"
        },
        "20": {
          "key": "d \n \u3147",
          "p1": "64",
          "p9": "3147",
          "position": "312"
        },
        "21": {
          "key": "f \n \u3139",
          "p1": "66",
          "p9": "3139",
          "position": "313"
        },
        "22": {
          "key": "g \n \u314e",
          "p1": "67",
          "p9": "314E",
          "position": "314"
        },
        "23": {
          "key": "h \n \u3157",
          "p1": "68",
          "p9": "3157",
          "position": "315"
        },
        "24": {
          "key": "j \n \u3153",
          "p1": "6A",
          "p9": "3153",
          "position": "316"
        },
        "25": {
          "key": "k \n \u314f",
          "p1": "6B",
          "p9": "314F",
          "position": "317"
        },
        "26": {
          "key": "l \n \u3163",
          "p1": "6C",
          "p9": "3163",
          "position": "318"
        },
        "27": {
          "key": ": \n; ",
          "p1": "003A",
          "p7": "003B",
          "position": "319"
        },
        "28": {
          "key": "\" \n' ",
          "p1": "22",
          "p7": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "007E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| \n\\ \u20a9",
          "p1": "007C",
          "p7": "005C",
          "p9": "20A9",
          "position": "290"
        },
        "2C": {
          "key": "z \n \u314b",
          "p1": "7A",
          "p9": "314B",
          "position": "410"
        },
        "2D": {
          "key": "x \n \u314c",
          "p1": "78",
          "p9": "314C",
          "position": "411"
        },
        "2E": {
          "key": "c \n \u314a",
          "p1": "63",
          "p9": "314A",
          "position": "412"
        },
        "2F": {
          "key": "v \n \u314d",
          "p1": "76",
          "p9": "314D",
          "position": "413"
        },
        "30": {
          "key": "b \n \u3160",
          "p1": "62",
          "p9": "3160",
          "position": "414"
        },
        "31": {
          "key": "n \n \u315c",
          "p1": "6E",
          "p9": "315C",
          "position": "415"
        },
        "32": {
          "key": "m \n \u3161",
          "p1": "6D",
          "p9": "3161",
          "position": "416"
        },
        "33": {
          "key": "< \n, ",
          "p1": "003C",
          "p7": "002C",
          "position": "417"
        },
        "34": {
          "key": "> \n. ",
          "p1": "003E",
          "p7": "002E",
          "position": "418"
        },
        "35": {
          "key": "? \n/ ",
          "p1": "003F",
          "p7": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "key": "\ud55c/\uc601",
          "label": "\ud55c/\uc601",
          "notes": "ditto",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "key": "\ud55c\uc790",
          "label": "\ud55c\uc790",
          "notes": "Korean CrOS device will not have 550/551 keys. If we add 550/551 keys later, 580/581 have to be Alt-R and Ctrl-R.",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " \ud55c\uc790",
          "label": " \ud55c\uc790",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "\ud55c/\uc601",
          "label": "\ud55c/\uc601",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "lt": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1 \u0105",
          "p2": "21",
          "p8": "31",
          "p9": "105",
          "position": "110"
        },
        "03": {
          "key": "@\n2 \u010d",
          "p2": "40",
          "p8": "32",
          "p9": "10D",
          "position": "111"
        },
        "04": {
          "key": "#\n3 \u0119",
          "p2": "23",
          "p8": "33",
          "p9": "119",
          "position": "112"
        },
        "05": {
          "key": "$\n4 \u0117",
          "p2": "24",
          "p8": "34",
          "p9": "117",
          "position": "113"
        },
        "06": {
          "key": "%\n5 \u012f",
          "p2": "25",
          "p8": "35",
          "p9": "12F",
          "position": "114"
        },
        "07": {
          "key": "^\n6 \u0161",
          "p2": "005E",
          "p8": "36",
          "p9": "161",
          "position": "115"
        },
        "08": {
          "key": "&\n7 \u0173",
          "p2": "26",
          "p8": "37",
          "p9": "173",
          "position": "116"
        },
        "09": {
          "key": "*\n8 \u016b",
          "p2": "002A",
          "p8": "38",
          "p9": "016B",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+\n= \u017e",
          "p2": "002B",
          "p8": "003D",
          "p9": "017E",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "007B",
          "p8": "005B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "007D",
          "p8": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "003A",
          "p8": "003B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n` \u00b4",
          "p2": "007E",
          "p8": "60",
          "p9": "00B4",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\\\n|",
          "p2": "005C",
          "p8": "007C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": "<\n, \u201e",
          "p2": "003C",
          "p8": "002C",
          "p9": "201E",
          "position": "417"
        },
        "34": {
          "key": ">\n. \u201c",
          "p2": "003E",
          "p8": "002E",
          "p9": "201C",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "003F",
          "p8": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "lv": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "005E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "002A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "002B",
          "p8": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "007B",
          "p8": "005B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "007D",
          "p8": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "003A",
          "p8": "003B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "007E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "005C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "003C",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "003E",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "003F",
          "p8": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "|\n\\",
          "p2": "007C",
          "p8": "005C",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "nl": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5 \u20ac",
          "p2": "25",
          "p8": "35",
          "p9": "20AC",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "005E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "002A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "002B",
          "p8": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "007B",
          "p8": "005B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "007D",
          "p8": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "003A",
          "p8": "003B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "007E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "007C",
          "p8": "005C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "003C",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "003E",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "003F",
          "p8": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "no": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " ! \n 1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": " \" \n 2 @",
          "p1": "22",
          "p7": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " # \n 3 \u00a3",
          "p1": "23",
          "p7": "33",
          "p9": "00A3",
          "position": "112"
        },
        "05": {
          "key": " \u00a4 \n 4 $",
          "p1": "00A4",
          "p7": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": " % \n 5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": " & \n 6 ",
          "p1": "26",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": " / \n 7 {",
          "p1": "002F",
          "p7": "37",
          "p9": "007B",
          "position": "116"
        },
        "09": {
          "key": " ( \n 8 [",
          "p1": "28",
          "p7": "38",
          "p9": "005B",
          "position": "117"
        },
        "0A": {
          "key": " ) \n 9 ]",
          "p1": "29",
          "p7": "39",
          "p9": "005D",
          "position": "118"
        },
        "0B": {
          "key": " = \n 0 }",
          "p1": "003D",
          "p7": "30",
          "p9": "007D",
          "position": "119"
        },
        "0C": {
          "key": " ? \n + ",
          "p1": "003F",
          "p7": "002B",
          "position": "120"
        },
        "0D": {
          "key": " ` \n \\ \u00b4",
          "p1": "60",
          "p7": "005C",
          "p9": "00B4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": " w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": " \u00e5",
          "p5": "E5",
          "position": "220"
        },
        "1B": {
          "key": " ^ \n \u00a8 ~",
          "p1": "5e",
          "p7": "00A8",
          "p9": "7e",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": "\u00f8",
          "p5": "00F8",
          "position": "319"
        },
        "28": {
          "key": "\u00e6",
          "p5": "E6",
          "position": "320"
        },
        "29": {
          "key": " \u00a7 \n | ",
          "p1": "00A7",
          "p7": "007C",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " *\n '",
          "p2": "2a",
          "p8": "27",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": "m \u03bc",
          "p5": "006D",
          "p9": "3bc",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "3e",
          "p8": "003C",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "pl": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "5E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "2A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "2B",
          "p8": "3D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "label": "q",
          "p1": "51",
          "position": "210"
        },
        "11": {
          "key": "w",
          "label": "w",
          "p1": "57",
          "position": "211"
        },
        "12": {
          "key": "e",
          "label": "e",
          "p1": "45",
          "position": "212"
        },
        "13": {
          "key": "r",
          "label": "r",
          "p1": "52",
          "position": "213"
        },
        "14": {
          "key": "t",
          "label": "t",
          "p1": "54",
          "position": "214"
        },
        "15": {
          "key": "y",
          "label": "y",
          "p1": "59",
          "position": "215"
        },
        "16": {
          "key": "u",
          "label": "u",
          "p1": "55",
          "position": "216"
        },
        "17": {
          "key": "i",
          "label": "i",
          "p1": "49",
          "position": "217"
        },
        "18": {
          "key": "o",
          "label": "o",
          "p1": "4F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "label": "p",
          "p1": "50",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "7B",
          "p8": "5B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "7D",
          "p8": "5D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "label": "a",
          "p1": "41",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "label": "s",
          "p1": "53",
          "position": "311"
        },
        "20": {
          "key": "d",
          "label": "d",
          "p1": "44",
          "position": "312"
        },
        "21": {
          "key": "f",
          "label": "f",
          "p1": "46",
          "position": "313"
        },
        "22": {
          "key": "g",
          "label": "g",
          "p1": "47",
          "position": "314"
        },
        "23": {
          "key": "h",
          "label": "h",
          "p1": "48",
          "position": "315"
        },
        "24": {
          "key": "j",
          "label": "j",
          "p1": "4A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "label": "k",
          "p1": "4B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "label": "l",
          "p1": "4C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "7C",
          "p8": "5C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "label": "z",
          "p1": "5A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "label": "x",
          "p1": "58",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "label": "c",
          "p1": "43",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "label": "v",
          "p1": "56",
          "position": "413"
        },
        "30": {
          "key": "b",
          "label": "b",
          "p1": "42",
          "position": "414"
        },
        "31": {
          "key": "n",
          "label": "n",
          "p1": "4E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "label": "m",
          "p1": "4D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "pt_BR": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 \u00b9",
          "p1": "21",
          "p7": "31",
          "p9": "B9",
          "position": "110"
        },
        "03": {
          "key": "@ \n2 \u00b2",
          "p1": "40",
          "p7": "32",
          "p9": "B2",
          "position": "111"
        },
        "04": {
          "key": "# \n3 \u00b3",
          "p1": "23",
          "p7": "33",
          "p9": "B3",
          "position": "112"
        },
        "05": {
          "key": "$ \n4 \u00a3",
          "p1": "24",
          "p7": "34",
          "p9": "A3",
          "position": "113"
        },
        "06": {
          "key": "% \n5 \u00a2",
          "p1": "25",
          "p7": "35",
          "p9": "A2",
          "position": "114"
        },
        "07": {
          "key": "\u00a8 \n6 \u00ac",
          "p1": "A8",
          "p7": "36",
          "p9": "00AC",
          "position": "115"
        },
        "08": {
          "key": "& \n7 ",
          "p1": "26",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "* \n8 ",
          "p1": "2A",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( \n9 ",
          "p1": "28",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \n0 ",
          "p1": "29",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ \n- ",
          "p1": "5F",
          "p7": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= \u00a7",
          "p1": "2B",
          "p7": "3D",
          "p9": "A7",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q /",
          "p5": "71",
          "p9": "2F",
          "position": "210"
        },
        "11": {
          "key": "w ?",
          "p5": "77",
          "p9": "3F",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "` \n\u00b4 ",
          "p1": "60",
          "p7": "B4",
          "position": "220"
        },
        "1B": {
          "key": "#VALUE!",
          "notes": "The a needs to be underlined",
          "p1": "7B",
          "p7": "5B",
          "p9": "AA0332",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": "\u00e7",
          "p5": "e7",
          "position": "319"
        },
        "28": {
          "key": "^ \n~ ",
          "p1": "5E",
          "p7": "7E",
          "position": "320"
        },
        "29": {
          "key": "\" \n' ",
          "p1": "22",
          "p7": "27",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "#VALUE!",
          "notes": "The o needs to be underlined",
          "p1": "7D",
          "p7": "5D",
          "p9": "BA0332",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c \u20a2",
          "p5": "63",
          "p9": "20A2",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "< \n, ",
          "p1": "3C",
          "p7": "2C",
          "position": "417"
        },
        "34": {
          "key": "> \n. ",
          "p1": "3E",
          "p7": "2E",
          "position": "418"
        },
        "35": {
          "key": ": \n; ",
          "p1": "3A",
          "p7": "3B",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "| \n\\ ",
          "p1": "7C",
          "p7": "5C",
          "position": "409"
        },
        "73": {
          "key": "? \n/ ",
          "p1": "3F",
          "p7": "2f",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "B"
    },
    "pt_PT": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 \u00a3",
          "p2": "23",
          "p8": "33",
          "p9": "a3",
          "position": "112"
        },
        "05": {
          "key": " $\n 4 \u00a7",
          "p2": "24",
          "p8": "34",
          "p9": "a7",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 {",
          "p2": "2f",
          "p8": "37",
          "p9": "7b",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 [",
          "p2": "28",
          "p8": "38",
          "p9": "5b",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 ]",
          "p2": "29",
          "p8": "39",
          "p9": "5d",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 }",
          "p2": "3d",
          "p8": "30",
          "p9": "7d",
          "position": "119"
        },
        "0C": {
          "key": " ?\n '",
          "p2": "3f",
          "p8": "27",
          "position": "120"
        },
        "0D": {
          "key": " \u00bb\n \u00ab",
          "p2": "bb",
          "p8": "ab",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20ac",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "*\n+ \u00a8",
          "p2": "2a",
          "p8": "2b",
          "p9": "a8",
          "position": "220"
        },
        "1B": {
          "key": "`\n\u00b4",
          "p2": "60",
          "p8": "b4",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": "\u00e7",
          "p5": "e7",
          "position": "319"
        },
        "28": {
          "key": "#VALUE!",
          "p2": "aa0332",
          "p8": "ba0332",
          "position": "320"
        },
        "29": {
          "key": " |\n \\",
          "p2": "7c",
          "p8": "5c",
          "position": "100"
        },
        "2A": {
          "format": "glyph_shift",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "^\n~",
          "p2": "5e",
          "p8": "7e",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "3b",
          "p8": "2c",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "3a",
          "p8": "2e",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "5f",
          "p8": "2d",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_reload",
          "label": "glyph_reload",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "3e",
          "p8": "3c",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "ro": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " ! \n 1 ~",
          "p1": "21",
          "p7": "31",
          "p9": "7E",
          "position": "110"
        },
        "03": {
          "key": " \" \n 2 \u02c7",
          "p1": "22",
          "p7": "32",
          "p9": "2C7",
          "position": "111"
        },
        "04": {
          "key": " # \n 3 ^",
          "p1": "23",
          "p7": "33",
          "p9": "5E",
          "position": "112"
        },
        "05": {
          "key": " $ \n 4 \u02d8",
          "notes": "Left $ instead of \u00a4, as \u00a4 is not usual comparing to $",
          "p1": "24",
          "p7": "34",
          "p9": "2D8",
          "position": "113"
        },
        "06": {
          "key": " % \n 5 \u02da",
          "p1": "25",
          "p7": "35",
          "p9": "2DA",
          "position": "114"
        },
        "07": {
          "key": " & \n 6 \u02db",
          "p1": "26",
          "p7": "36",
          "p9": "2DB",
          "position": "115"
        },
        "08": {
          "key": " / \n 7 `",
          "p1": "2F",
          "p7": "37",
          "p9": "60",
          "position": "116"
        },
        "09": {
          "key": " ( \n 8 \u02d9",
          "p1": "28",
          "p7": "38",
          "p9": "2D9",
          "position": "117"
        },
        "0A": {
          "key": " ) \n 9 \u00b4",
          "p1": "29",
          "p7": "39",
          "p9": "B4",
          "position": "118"
        },
        "0B": {
          "key": " = \n 0 \u02dd",
          "p1": "3D",
          "p7": "30",
          "p9": "2DD",
          "position": "119"
        },
        "0C": {
          "key": " ? \n + \u00a8",
          "p1": "3F",
          "p7": "2B",
          "p9": "A8",
          "position": "120"
        },
        "0D": {
          "key": " * \n ' \u00b8",
          "notes": "                                                                                                                                                                                                              ",
          "p1": "2A",
          "p7": "27",
          "p9": "B8",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q \\",
          "p5": "71",
          "p9": "5c",
          "position": "210"
        },
        "11": {
          "key": "w \u00a6",
          "p5": "77",
          "p9": "A6",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r \u00ae",
          "notes": "Added registered sign, as it is an often used symbol",
          "p5": "72",
          "p9": "AE",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u0103 \u00f7",
          "p5": "103",
          "p9": "00F7",
          "position": "220"
        },
        "1B": {
          "key": "\u00ee \u00d7",
          "p5": "00EE",
          "p9": "00D7",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \u201e",
          "notes": "Added Romanian quotes, as they are often used",
          "p5": "61",
          "p9": "201E",
          "position": "310"
        },
        "1F": {
          "key": "s \u201d",
          "notes": "Added Romanian quotes, as they are often used",
          "p5": "73",
          "p9": "201D",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l \u00a3",
          "notes": "Added pound sign",
          "p5": "6C",
          "p9": "A3",
          "position": "318"
        },
        "27": {
          "key": "\u0219 @",
          "p5": "219",
          "p9": "40",
          "position": "319"
        },
        "28": {
          "key": "\u021b \u00df",
          "p5": "021b",
          "p9": "DF",
          "position": "320"
        },
        "29": {
          "key": " [ \n ] ",
          "p1": "5B",
          "p7": "5D",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00e2",
          "p5": "E2",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7a",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c \u00a9",
          "notes": "Added copyright sign, as it is an often used symbol",
          "p5": "63",
          "p9": "00A9",
          "position": "412"
        },
        "2F": {
          "key": "v @",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b {",
          "p5": "62",
          "p9": "7b",
          "position": "414"
        },
        "31": {
          "key": "n }",
          "p5": "6E",
          "p9": "7d",
          "position": "415"
        },
        "32": {
          "key": "m \u00a7",
          "p5": "6D",
          "p9": "a7",
          "position": "416"
        },
        "33": {
          "key": ";; \n,, ",
          "p1": "3B",
          "p7": "2C",
          "position": "417"
        },
        "34": {
          "key": ":: \n.. ",
          "p1": "3A",
          "p7": "2E",
          "position": "418"
        },
        "35": {
          "key": "__ \n-- ",
          "p1": "5F",
          "p7": "2D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "<< \n>> ",
          "p1": "3C",
          "p7": "3E",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " \u00e2",
          "p5": "E2",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "ru": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \n1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": "@ \"\n2 ",
          "p1": "40",
          "p3": "22",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": "# \u2116\n3 ",
          "p1": "23",
          "p3": "2116",
          "p7": "33",
          "position": "112"
        },
        "05": {
          "key": "$ ;\n4 ",
          "p1": "24",
          "p3": "3b",
          "p7": "34",
          "position": "113"
        },
        "06": {
          "key": "% \n5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": "^ :\n6 ",
          "p1": "5e",
          "p3": "3a",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": "& ?\n7 ",
          "p1": "26",
          "p3": "3f",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "* \n8 ",
          "p1": "2a",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( \n9 ",
          "p1": "28",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \n0 ",
          "p1": "29",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ \n- ",
          "p1": "5f",
          "p7": "2d",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= ",
          "p1": "2b",
          "p7": "3d",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \n \u0439",
          "p1": "71",
          "p9": "439",
          "position": "210"
        },
        "11": {
          "key": "w \n \u0446",
          "p1": "77",
          "p9": "446",
          "position": "211"
        },
        "12": {
          "key": "e \n \u0443",
          "p1": "65",
          "p9": "443",
          "position": "212"
        },
        "13": {
          "key": "r \n \u043a",
          "p1": "72",
          "p9": "43a",
          "position": "213"
        },
        "14": {
          "key": "t \n \u0435",
          "p1": "74",
          "p9": "435",
          "position": "214"
        },
        "15": {
          "key": "y \n \u043d",
          "p1": "79",
          "p9": "43d",
          "position": "215"
        },
        "16": {
          "key": "u \n \u0433",
          "p1": "75",
          "p9": "433",
          "position": "216"
        },
        "17": {
          "key": "i \n \u0448",
          "p1": "69",
          "p9": "448",
          "position": "217"
        },
        "18": {
          "key": "o \n \u0449",
          "p1": "6F",
          "p9": "449",
          "position": "218"
        },
        "19": {
          "key": "p \n \u0437",
          "p1": "70",
          "p9": "437",
          "position": "219"
        },
        "1A": {
          "key": "{ \n[ \u0445",
          "p1": "7b",
          "p7": "5b",
          "p9": "445",
          "position": "220"
        },
        "1B": {
          "key": "} \n] \u044a",
          "p1": "7d",
          "p7": "5d",
          "p9": "44a",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \n \u0444",
          "p1": "61",
          "p9": "444",
          "position": "310"
        },
        "1F": {
          "key": "s \n \u044b",
          "p1": "73",
          "p9": "44b",
          "position": "311"
        },
        "20": {
          "key": "d \n \u0432",
          "p1": "64",
          "p9": "432",
          "position": "312"
        },
        "21": {
          "key": "f \n \u0430",
          "p1": "66",
          "p9": "430",
          "position": "313"
        },
        "22": {
          "key": "g \n \u043f",
          "p1": "67",
          "p9": "43f",
          "position": "314"
        },
        "23": {
          "key": "h \n \u0440",
          "p1": "68",
          "p9": "440",
          "position": "315"
        },
        "24": {
          "key": "j \n \u043e",
          "p1": "6A",
          "p9": "43e",
          "position": "316"
        },
        "25": {
          "key": "k \n \u043b",
          "p1": "6B",
          "p9": "43b",
          "position": "317"
        },
        "26": {
          "key": "l \n \u0434",
          "p1": "6C",
          "p9": "434",
          "position": "318"
        },
        "27": {
          "key": ": \n; \u0436",
          "p1": "3a",
          "p7": "3b",
          "p9": "436",
          "position": "319"
        },
        "28": {
          "key": "\" \n' \u044d",
          "p1": "22",
          "p7": "27",
          "p9": "44d",
          "position": "320"
        },
        "29": {
          "key": "~ \n` \u0451",
          "p1": "7e",
          "p7": "60",
          "p9": "451",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| /\n\\ \\",
          "p1": "7c",
          "p3": "2f",
          "p7": "5c",
          "p9": "5c",
          "position": "290"
        },
        "2C": {
          "key": "z \n \u044f",
          "p1": "7A",
          "p9": "44f",
          "position": "410"
        },
        "2D": {
          "key": "x \n \u0447",
          "p1": "78",
          "p9": "447",
          "position": "411"
        },
        "2E": {
          "key": "c \n \u0441",
          "p1": "63",
          "p9": "441",
          "position": "412"
        },
        "2F": {
          "key": "v \n \u043c",
          "p1": "76",
          "p9": "43c",
          "position": "413"
        },
        "30": {
          "key": "b \n \u0438",
          "p1": "62",
          "p9": "438",
          "position": "414"
        },
        "31": {
          "key": "n \n \u0442",
          "p1": "6E",
          "p9": "442",
          "position": "415"
        },
        "32": {
          "key": "m \n \u044c",
          "p1": "6D",
          "p9": "44c",
          "position": "416"
        },
        "33": {
          "key": "< \n, \u0431",
          "p1": "3c",
          "p7": "2c",
          "p9": "431",
          "position": "417"
        },
        "34": {
          "key": "> \n. \u044e",
          "p1": "3e",
          "p7": "2e",
          "p9": "44e",
          "position": "418"
        },
        "35": {
          "key": "? ,\n/ .",
          "p1": "3f",
          "p3": "2c",
          "p7": "2f",
          "p9": "2e",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "\u043f\u043e\u0438\u0441\u043a",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "sk": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! 1\n1 +",
          "p1": "21",
          "p3": "31",
          "p7": "31",
          "p9": "002b",
          "position": "110"
        },
        "03": {
          "key": "@ 2\n2 \u013e",
          "p1": "40",
          "p3": "32",
          "p7": "32",
          "p9": "013E",
          "position": "111"
        },
        "04": {
          "key": "# 3\n3 \u0161",
          "p1": "23",
          "p3": "33",
          "p7": "33",
          "p9": "161",
          "position": "112"
        },
        "05": {
          "key": "$ 4\n4 \u010d",
          "p1": "24",
          "p3": "34",
          "p7": "34",
          "p9": "010d",
          "position": "113"
        },
        "06": {
          "key": "% 5\n5 \u0165",
          "p1": "25",
          "p3": "35",
          "p7": "35",
          "p9": "165",
          "position": "114"
        },
        "07": {
          "key": "^ 6\n6 \u017e",
          "p1": "5e",
          "p3": "36",
          "p7": "36",
          "p9": "017e",
          "position": "115"
        },
        "08": {
          "key": "& 7\n7 \u00fd",
          "p1": "26",
          "p3": "37",
          "p7": "37",
          "p9": "fd",
          "position": "116"
        },
        "09": {
          "key": "* 8\n8 \u00e1",
          "p1": "2a",
          "p3": "38",
          "p7": "38",
          "p9": "e1",
          "position": "117"
        },
        "0A": {
          "key": "( 9\n9 \u00ed",
          "p1": "28",
          "p3": "39",
          "p7": "39",
          "p9": "ed",
          "position": "118"
        },
        "0B": {
          "key": ") 0\n0 \u00e9",
          "p1": "29",
          "p3": "30",
          "p7": "30",
          "p9": "e9",
          "position": "119"
        },
        "0C": {
          "key": "_ %\n- =",
          "p1": "5f",
          "p3": "25",
          "p7": "2d",
          "p9": "3d",
          "position": "120"
        },
        "0D": {
          "key": "+ \u02c7\n= \u00b4",
          "p1": "2b",
          "p3": "2c7",
          "p7": "3d",
          "p9": "b4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20ac",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "yz",
          "p5": "79",
          "p6": "7a",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6f",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{ \u00b4\n[ \u00fa",
          "p1": "7b",
          "p3": "b4",
          "p7": "5b",
          "p9": "fa",
          "position": "220"
        },
        "1B": {
          "key": "} (\n] \u00e4",
          "p1": "7d",
          "p3": "28",
          "p7": "5d",
          "p9": "e4",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6a",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6b",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6c",
          "position": "318"
        },
        "27": {
          "key": ": \"\n; \u00f4",
          "p1": "3a",
          "p3": "22",
          "p7": "3b",
          "p9": "f4",
          "position": "319"
        },
        "28": {
          "key": "\" !\n' \u00a7",
          "p1": "22",
          "p3": "21",
          "p7": "27",
          "p9": "a7",
          "position": "320"
        },
        "29": {
          "key": "~ \u00b0\n` ;",
          "p1": "7e",
          "p3": "b0",
          "p7": "60",
          "p9": "3b",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| )\n\\ \u0148",
          "p1": "7c",
          "p3": "29",
          "p7": "5c",
          "p9": "148",
          "position": "290"
        },
        "2C": {
          "key": "zy",
          "p5": "7a",
          "p6": "79",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6e",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6d",
          "position": "416"
        },
        "33": {
          "key": "< ?\n, ,",
          "p1": "3c",
          "p3": "3f",
          "p7": "2c",
          "p9": "2c",
          "position": "417"
        },
        "34": {
          "key": "> :\n. .",
          "p1": "3e",
          "p3": "3a",
          "p7": "2e",
          "p9": "2e",
          "position": "418"
        },
        "35": {
          "key": "? _\n/ -",
          "p1": "3f",
          "p3": "5f",
          "p7": "2f",
          "p9": "2d",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "* |\n& \\",
          "p1": "2a",
          "p3": "7c",
          "p7": "26",
          "p9": "5c",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "sl": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1 ~",
          "p2": "21",
          "p8": "31",
          "p9": "007E",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 \u02c7",
          "p2": "22",
          "p8": "32",
          "p9": "02C7",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 ^",
          "p2": "23",
          "p8": "33",
          "p9": "005E",
          "position": "112"
        },
        "05": {
          "key": " $\n 4 \u02d8",
          "p2": "24",
          "p8": "34",
          "p9": "02D8",
          "position": "113"
        },
        "06": {
          "key": " %\n 5 \u02da",
          "p2": "25",
          "p8": "35",
          "p9": "02DA",
          "position": "114"
        },
        "07": {
          "key": " &\n 6 \u02db",
          "p2": "26",
          "p8": "36",
          "p9": "02DB",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 `",
          "p2": "002F",
          "p8": "37",
          "p9": "60",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 \u02d9",
          "p2": "28",
          "p8": "38",
          "p9": "02D9",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 \u00b4",
          "p2": "29",
          "p8": "39",
          "p9": "00B4",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 \u02dd",
          "p2": "003D",
          "p8": "30",
          "p9": "02DD",
          "position": "119"
        },
        "0C": {
          "key": " ?\n ' \u00a8",
          "p2": "003F",
          "p8": "27",
          "p9": "00A8",
          "position": "120"
        },
        "0D": {
          "key": " *\n + \u00b8",
          "p2": "002A",
          "p8": "002B",
          "p9": "00B8",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q \\",
          "p5": "71",
          "p9": "005C",
          "position": "210"
        },
        "11": {
          "key": " w |",
          "p5": "77",
          "p9": "007C",
          "position": "211"
        },
        "12": {
          "key": "e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "z",
          "p5": "7A",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u0161 \u00f7",
          "p5": "161",
          "p9": "00F7",
          "position": "220"
        },
        "1B": {
          "key": "\u0111 \u00d7",
          "p5": "111",
          "p9": "00D7",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f [",
          "p5": "66",
          "p9": "005B",
          "position": "313"
        },
        "22": {
          "key": "g ]",
          "p5": "67",
          "p9": "005D",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k \u0142",
          "p5": "6B",
          "p9": "142",
          "position": "317"
        },
        "26": {
          "key": "l \u0141",
          "p5": "6C",
          "p9": "141",
          "position": "318"
        },
        "27": {
          "key": "\u010d",
          "p5": "10D",
          "position": "319"
        },
        "28": {
          "key": "\u0107 \u00df",
          "p5": "107",
          "p9": "00DF",
          "position": "320"
        },
        "29": {
          "key": " \u00a8\n \u00b8",
          "p2": "00A8",
          "p8": "00B8",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u017e \u00a4",
          "p5": "17E",
          "p9": "00A4",
          "position": "290"
        },
        "2C": {
          "key": "y",
          "p5": "79",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v @",
          "p5": "76",
          "p9": "40",
          "position": "413"
        },
        "30": {
          "key": "b {",
          "p5": "62",
          "p9": "007B",
          "position": "414"
        },
        "31": {
          "key": "n }",
          "p5": "6E",
          "p9": "007D",
          "position": "415"
        },
        "32": {
          "key": "m \u00a7",
          "p5": "6D",
          "p9": "00A7",
          "position": "416"
        },
        "33": {
          "key": ";\n,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ":\n.",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": ">\n<",
          "p2": "003E",
          "p8": "003C",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "sr": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " \u0438\u0437\u043b",
          "label": "\u0438\u0437\u043b",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1 ~",
          "p2": "21",
          "p8": "31",
          "p9": "007E",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2",
          "p2": "22",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 ^",
          "p2": "23",
          "p8": "33",
          "p9": "005E",
          "position": "112"
        },
        "05": {
          "key": " $\n 4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " '\n 7 `",
          "p2": "27",
          "p8": "37",
          "p9": "60",
          "position": "116"
        },
        "09": {
          "key": " (\n 8",
          "p2": "28",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9",
          "p2": "29",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0",
          "p2": "003D",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": " ?\n '",
          "p2": "003F",
          "p8": "27",
          "position": "120"
        },
        "0D": {
          "key": " *\n +",
          "p2": "002A",
          "p8": "002B",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q\u0459",
          "p4": "71",
          "p6": "459",
          "position": "210"
        },
        "11": {
          "key": " w\u045a",
          "p4": "77",
          "p6": "045A",
          "position": "211"
        },
        "12": {
          "key": " e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " z",
          "p5": "7A",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": " \u0161\u0448",
          "p4": "161",
          "p6": "448",
          "position": "220"
        },
        "1B": {
          "key": " \u0111\u0442",
          "p4": "111",
          "p6": "442",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": " glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": " \u043a\u043d\u0442\u0440",
          "label": "\u043a\u043d\u0442\u0440",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": " s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": " d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": " f [",
          "p5": "66",
          "p9": "005B",
          "position": "313"
        },
        "22": {
          "key": " g ]",
          "p5": "67",
          "p9": "005D",
          "position": "314"
        },
        "23": {
          "key": " h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": " j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": " k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": " l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": " \u010d\u0447",
          "p4": "10D",
          "p6": "447",
          "position": "319"
        },
        "28": {
          "key": " \u0107\u045b",
          "p4": "107",
          "p6": "045B",
          "position": "320"
        },
        "29": {
          "key": " |\n \\",
          "p2": "007C",
          "p8": "005C",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " \u017e\u0436",
          "p4": "17E",
          "p6": "436",
          "position": "290"
        },
        "2C": {
          "key": " y",
          "p5": "79",
          "position": "410"
        },
        "2D": {
          "key": " x\u045f",
          "p4": "78",
          "p6": "045F",
          "position": "411"
        },
        "2E": {
          "key": " c\u0446",
          "p4": "63",
          "p6": "446",
          "position": "412"
        },
        "2F": {
          "key": " v @",
          "p5": "76",
          "p9": "40",
          "position": "413"
        },
        "30": {
          "key": " b {",
          "p5": "62",
          "p9": "007B",
          "position": "414"
        },
        "31": {
          "key": " n }",
          "p5": "6E",
          "p9": "007D",
          "position": "415"
        },
        "32": {
          "key": " m \u00a7",
          "p5": "6D",
          "p9": "00A7",
          "position": "416"
        },
        "33": {
          "key": " ;\n ,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": " :\n .",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": " _\n -",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": " \u0430\u043b\u0442",
          "label": "\u0430\u043b\u0442",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": " >\n <",
          "p2": "003E",
          "p8": "003C",
          "position": "409"
        },
        "73": {
          "key": " ",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "key": " ",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "key": " ",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " \u043a\u043d\u0442\u0440",
          "label": "\u043a\u043d\u0442\u0440",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": " \u0430\u043b\u0442",
          "label": "\u0430\u043b\u0442",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "sv": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " !\n 1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": " \"\n 2 @",
          "p2": "22",
          "p8": "32",
          "p9": "40",
          "position": "111"
        },
        "04": {
          "key": " #\n 3 \u00a3",
          "p2": "23",
          "p8": "33",
          "p9": "00A3",
          "position": "112"
        },
        "05": {
          "key": " \u00a4\n 4 $",
          "p2": "00A4",
          "p8": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": " %\n 5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": " &\n 6",
          "p2": "26",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": " /\n 7 {",
          "p2": "002F",
          "p8": "37",
          "p9": "007B",
          "position": "116"
        },
        "09": {
          "key": " (\n 8 [",
          "p2": "28",
          "p8": "38",
          "p9": "005B",
          "position": "117"
        },
        "0A": {
          "key": " )\n 9 ]",
          "p2": "29",
          "p8": "39",
          "p9": "005D",
          "position": "118"
        },
        "0B": {
          "key": " =\n 0 }",
          "p2": "003D",
          "p8": "30",
          "p9": "007D",
          "position": "119"
        },
        "0C": {
          "key": " ?\n + \\",
          "p2": "003F",
          "p8": "002B",
          "p9": "005C",
          "position": "120"
        },
        "0D": {
          "key": " `\n \u00b4",
          "p2": "60",
          "p8": "00B4",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": " w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " e \u20ac",
          "p5": "65",
          "p9": "20AC",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "006F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": " \u00e5",
          "p5": "E5",
          "position": "220"
        },
        "1B": {
          "key": " ^\n \u00a8 ~",
          "p2": "005E",
          "p8": "00A8",
          "p9": "007E",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": " glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": " ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": " s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": " d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": " f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": " g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": " h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": " j",
          "p5": "006A",
          "position": "316"
        },
        "25": {
          "key": " k",
          "p5": "006B",
          "position": "317"
        },
        "26": {
          "key": " l",
          "p5": "006C",
          "position": "318"
        },
        "27": {
          "key": " \u00f6",
          "p5": "00F6",
          "position": "319"
        },
        "28": {
          "key": " \u00e4",
          "p5": "E4",
          "position": "320"
        },
        "29": {
          "key": " \u00bd\n \u00a7",
          "p2": "00BD",
          "p8": "00A7",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": " *\n '",
          "p2": "002A",
          "p8": "27",
          "position": "290"
        },
        "2C": {
          "key": " z",
          "p5": "007A",
          "position": "410"
        },
        "2D": {
          "key": " x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": " c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": " v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": " b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": " n",
          "p5": "006E",
          "position": "415"
        },
        "32": {
          "key": " m",
          "p5": "006D",
          "position": "416"
        },
        "33": {
          "key": " ;\n ,",
          "p2": "003B",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": " :\n .",
          "p2": "003A",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": " _\n -",
          "p2": "005F",
          "p8": "002D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": " glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": " alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": " >\n < |",
          "p2": "003E",
          "p8": "003C",
          "p9": "007C",
          "position": "409"
        },
        "73": {
          "key": " ",
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "key": " ",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "key": " ",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": " ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": " alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": " glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "th": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! +\n1 \u0e45",
          "p1": "21",
          "p3": "002B",
          "p7": "31",
          "p9": "E45",
          "position": "110"
        },
        "03": {
          "key": "@ \u0e51\n2 /",
          "p1": "40",
          "p3": "E51",
          "p7": "32",
          "p9": "002F",
          "position": "111"
        },
        "04": {
          "key": "# \u0e52\n3 -",
          "p1": "23",
          "p3": "E52",
          "p7": "33",
          "p9": "002D",
          "position": "112"
        },
        "05": {
          "key": "$ \u0e53\n4 \u0e20",
          "p1": "24",
          "p3": "E53",
          "p7": "34",
          "p9": "E20",
          "position": "113"
        },
        "06": {
          "key": "% \u0e54\n5 \u0e16",
          "p1": "25",
          "p3": "E54",
          "p7": "35",
          "p9": "E16",
          "position": "114"
        },
        "07": {
          "key": "^ \u0e39\n6 \u0e38",
          "p1": "005E",
          "p3": "E39",
          "p7": "36",
          "p9": "E38",
          "position": "115"
        },
        "08": {
          "key": "& \u0e3f\n7 \u0e36",
          "p1": "26",
          "p3": "0E3F",
          "p7": "37",
          "p9": "E36",
          "position": "116"
        },
        "09": {
          "key": "* \u0e55\n8 \u0e04",
          "p1": "002A",
          "p3": "E55",
          "p7": "38",
          "p9": "E04",
          "position": "117"
        },
        "0A": {
          "key": "( \u0e56\n9 \u0e15",
          "p1": "28",
          "p3": "E56",
          "p7": "39",
          "p9": "E15",
          "position": "118"
        },
        "0B": {
          "key": ") \u0e57\n0 \u0e08",
          "p1": "29",
          "p3": "E57",
          "p7": "30",
          "p9": "E08",
          "position": "119"
        },
        "0C": {
          "key": "_ \u0e58\n- \u0e02",
          "p1": "005F",
          "p3": "E58",
          "p7": "002D",
          "p9": "E02",
          "position": "120"
        },
        "0D": {
          "key": "+ \u0e59\n= \u0e0a",
          "p1": "002B",
          "p3": "E59",
          "p7": "003D",
          "p9": "0E0A",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " \u0e50\nq \u0e46",
          "p3": "E50",
          "p7": "71",
          "p9": "E46",
          "position": "210"
        },
        "11": {
          "key": " \"\nw \u0e44",
          "p3": "22",
          "p7": "77",
          "p9": "E44",
          "position": "211"
        },
        "12": {
          "key": " \u0e0e\ne \u0e33",
          "p3": "0E0E",
          "p7": "65",
          "p9": "E33",
          "position": "212"
        },
        "13": {
          "key": " \u0e11\nr \u0e1e",
          "p3": "E11",
          "p7": "72",
          "p9": "0E1E",
          "position": "213"
        },
        "14": {
          "key": " \u0e18\nt \u0e30",
          "p3": "E18",
          "p7": "74",
          "p9": "E30",
          "position": "214"
        },
        "15": {
          "key": " \u0e4d\ny \u0e31",
          "p3": "0E4D",
          "p7": "79",
          "p9": "E31",
          "position": "215"
        },
        "16": {
          "key": " \u0e4a\nu \u0e35",
          "p3": "0E4A",
          "p7": "75",
          "p9": "E35",
          "position": "216"
        },
        "17": {
          "key": " \u0e13\ni \u0e23",
          "p3": "E13",
          "p7": "69",
          "p9": "E23",
          "position": "217"
        },
        "18": {
          "key": " \u0e2f\no \u0e19",
          "p3": "0E2F",
          "p7": "006F",
          "p9": "E19",
          "position": "218"
        },
        "19": {
          "key": " \u0e0d\np \u0e22",
          "p3": "0E0D",
          "p7": "70",
          "p9": "E22",
          "position": "219"
        },
        "1A": {
          "key": "{ \u0e10\n[ \u0e1a",
          "p1": "007B",
          "p3": "E10",
          "p7": "005B",
          "p9": "0E1A",
          "position": "220"
        },
        "1B": {
          "key": "} ,\n] \u0e25",
          "p1": "007D",
          "p3": "002C",
          "p7": "005D",
          "p9": "E25",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": " \u0e24\na \u0e1f",
          "p3": "E24",
          "p7": "61",
          "p9": "0E1F",
          "position": "310"
        },
        "1F": {
          "key": " \u0e06\ns \u0e2b",
          "p3": "E06",
          "p7": "73",
          "p9": "0E2B",
          "position": "311"
        },
        "20": {
          "key": " \u0e0f\nd \u0e01",
          "p3": "0E0F",
          "p7": "64",
          "p9": "E01",
          "position": "312"
        },
        "21": {
          "key": " \u0e42\nf \u0e14",
          "p3": "E42",
          "p7": "66",
          "p9": "E14",
          "position": "313"
        },
        "22": {
          "key": " \u0e0c\ng \u0e40",
          "p3": "0E0C",
          "p7": "67",
          "p9": "E40",
          "position": "314"
        },
        "23": {
          "key": " \u0e47\nh \u0e49",
          "p3": "E47",
          "p7": "68",
          "p9": "E49",
          "position": "315"
        },
        "24": {
          "key": " \u0e4b\nj \u0e48",
          "p3": "0E4B",
          "p7": "006A",
          "p9": "E48",
          "position": "316"
        },
        "25": {
          "key": " \u0e29\nk \u0e32",
          "p3": "E29",
          "p7": "006B",
          "p9": "E32",
          "position": "317"
        },
        "26": {
          "key": " \u0e28\nl \u0e2a",
          "p3": "E28",
          "p7": "006C",
          "p9": "0E2A",
          "position": "318"
        },
        "27": {
          "key": ": \u0e0b\n; \u0e27",
          "p1": "003A",
          "p3": "0E0B",
          "p7": "003B",
          "p9": "E27",
          "position": "319"
        },
        "28": {
          "key": "\" .\n' \u0e07",
          "p1": "22",
          "p3": "002E",
          "p7": "27",
          "p9": "E07",
          "position": "320"
        },
        "29": {
          "key": "~ %\n` _",
          "p1": "007E",
          "p3": "25",
          "p7": "60",
          "p9": "005F",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00a6 \u0e05\n\\ \u0e03",
          "p1": "00A6",
          "p3": "E05",
          "p7": "005C",
          "p9": "E03",
          "position": "290"
        },
        "2C": {
          "key": " (\nz \u0e1c",
          "p3": "28",
          "p7": "007A",
          "p9": "0E1C",
          "position": "410"
        },
        "2D": {
          "key": " )\nx \u0e1b",
          "p3": "29",
          "p7": "78",
          "p9": "0E1B",
          "position": "411"
        },
        "2E": {
          "key": " \u0e09\nc \u0e41",
          "p3": "E09",
          "p7": "63",
          "p9": "E41",
          "position": "412"
        },
        "2F": {
          "key": " \u0e2e\nv \u0e2d",
          "p3": "0E2E",
          "p7": "76",
          "p9": "0E2D",
          "position": "413"
        },
        "30": {
          "key": " \u0e3a\nb \u0e34",
          "p3": "0E3A",
          "p7": "62",
          "p9": "E34",
          "position": "414"
        },
        "31": {
          "key": " \u0e4c\nn \u0e37",
          "p3": "0E4C",
          "p7": "006E",
          "p9": "E37",
          "position": "415"
        },
        "32": {
          "key": " ?\nm \u0e17",
          "p3": "003F",
          "p7": "006D",
          "p9": "E17",
          "position": "416"
        },
        "33": {
          "key": "< \u0e12\n, \u0e21",
          "p1": "003C",
          "p3": "E12",
          "p7": "002C",
          "p9": "E21",
          "position": "417"
        },
        "34": {
          "key": "> \u0e2c\n. \u0e43",
          "p1": "003E",
          "p3": "0E2C",
          "p7": "002E",
          "p9": "E43",
          "position": "418"
        },
        "35": {
          "key": "? \u0e26\n- \u0e1d",
          "p1": "003F",
          "p3": "E26",
          "p7": "002D",
          "p9": "0E1D",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shirt",
          "label": "shirt",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "tr": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": " esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": " ! \n 1 ",
          "p1": "21",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": " ' \n 2 ",
          "p1": "27",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": " ^ \n 3 #",
          "p1": "5e",
          "p7": "33",
          "p9": "23",
          "position": "112"
        },
        "05": {
          "key": " + \n 4 $",
          "p1": "2b",
          "p7": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": " % \n 5 ",
          "p1": "25",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": " & \n 6 ",
          "p1": "26",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": " / \n 7 {",
          "p1": "2f",
          "p7": "37",
          "p9": "7b",
          "position": "116"
        },
        "09": {
          "key": " ( \n 8 [",
          "p1": "28",
          "p7": "38",
          "p9": "5b",
          "position": "117"
        },
        "0A": {
          "key": " ) \n 9 ]",
          "p1": "29",
          "p7": "39",
          "p9": "5d",
          "position": "118"
        },
        "0B": {
          "key": " = \n 0 }",
          "p1": "3d",
          "p7": "30",
          "p9": "7d",
          "position": "119"
        },
        "0C": {
          "key": " ? \n * \\",
          "p1": "3f",
          "p7": "2a",
          "p9": "5c",
          "position": "120"
        },
        "0D": {
          "key": " _ \n - ",
          "p1": "5f",
          "p7": "2d",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": " glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": " glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": " q @",
          "p5": "71",
          "p9": "40",
          "position": "210"
        },
        "11": {
          "key": " w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": " e \u20ac",
          "p5": "65",
          "p9": "20ac",
          "position": "212"
        },
        "13": {
          "key": " r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": " t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": " y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": " u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": " i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": " o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": " p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u011f \u00a8",
          "notes": "ok",
          "p5": "11F",
          "p9": "A8",
          "position": "220"
        },
        "1B": {
          "key": "\u00fc ~",
          "notes": "ok",
          "p5": "0FC",
          "p9": "7e",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": "\u015f \u00b4",
          "notes": "ok",
          "p5": "15f",
          "p9": "B4",
          "position": "319"
        },
        "28": {
          "key": "i",
          "notes": "ok",
          "p5": "69",
          "position": "320"
        },
        "29": {
          "key": " \u00e9 \n \" ",
          "p1": "E9",
          "p7": "22",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "; \n, `",
          "p1": "3b",
          "p7": "2c",
          "p9": "60",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "\u00f6",
          "notes": "ok",
          "p5": "0F6",
          "position": "417"
        },
        "34": {
          "key": "\u00e7",
          "notes": "ok",
          "p5": "E7",
          "position": "418"
        },
        "35": {
          "key": ": \n. ",
          "p1": "3a",
          "p7": "2e",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt\n",
          "position": "501"
        },
        "3B": {
          "key": " glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": " glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": " glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": " glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": " glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": " glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": " glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": " glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": " glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": " glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "56": {
          "key": "> \n< |",
          "p1": "3e",
          "p7": "3c",
          "p9": "7c",
          "position": "409"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": " ",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "E"
    },
    "uk": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1 \u2013",
          "p2": "21",
          "p8": "31",
          "p9": "2013",
          "position": "110"
        },
        "03": {
          "key": "@\n2 \"",
          "p2": "40",
          "p8": "32",
          "p9": "22",
          "position": "111"
        },
        "04": {
          "key": "\u2116\n3 \u20ac",
          "p2": "2116",
          "p8": "33",
          "p9": "20AC",
          "position": "112"
        },
        "05": {
          "key": ";\n4 $",
          "p2": "003B",
          "p8": "34",
          "p9": "24",
          "position": "113"
        },
        "06": {
          "key": "%\n5 \u00ba",
          "p2": "25",
          "p8": "35",
          "p9": "00BA",
          "position": "114"
        },
        "07": {
          "key": ":\n6",
          "p2": "003A",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "?\n7",
          "p2": "003F",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8 \u00a7",
          "p2": "002A",
          "p8": "38",
          "p9": "00A7",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n- [",
          "p2": "005F",
          "p8": "002D",
          "p9": "005B",
          "position": "120"
        },
        "0D": {
          "key": "+\n= ]",
          "p2": "002B",
          "p8": "003D",
          "p9": "005D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "glyph_backspace",
          "label": "glyph_backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "glyph_tab",
          "label": "glyph_tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \u0439",
          "p5": "71",
          "p9": "439",
          "position": "210"
        },
        "11": {
          "key": "w \u0446",
          "p5": "77",
          "p9": "446",
          "position": "211"
        },
        "12": {
          "key": "e \u0443",
          "p5": "65",
          "p9": "443",
          "position": "212"
        },
        "13": {
          "key": "r \u043a",
          "p5": "72",
          "p9": "043A",
          "position": "213"
        },
        "14": {
          "key": "t \u0435",
          "p5": "74",
          "p9": "435",
          "position": "214"
        },
        "15": {
          "key": "y \u043d",
          "p5": "79",
          "p9": "043D",
          "position": "215"
        },
        "16": {
          "key": "u \u0433",
          "p5": "75",
          "p9": "433",
          "position": "216"
        },
        "17": {
          "key": "i \u0448",
          "p5": "69",
          "p9": "448",
          "position": "217"
        },
        "18": {
          "key": "o \u0449",
          "p5": "006F",
          "p9": "449",
          "position": "218"
        },
        "19": {
          "key": "p \u0437",
          "p5": "70",
          "p9": "437",
          "position": "219"
        },
        "1A": {
          "key": "{\n\u0445",
          "p2": "007B",
          "p8": "445",
          "position": "220"
        },
        "1B": {
          "key": "}\n\u044a \u0457",
          "p2": "007D",
          "p8": "044A",
          "p9": "457",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "glyph_enter",
          "label": "glyph_enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \u0444",
          "p5": "61",
          "p9": "444",
          "position": "310"
        },
        "1F": {
          "key": "s\n\u044b \u0456",
          "p2": "73",
          "p8": "044B",
          "p9": "456",
          "position": "311"
        },
        "20": {
          "key": "d \u0432",
          "p5": "64",
          "p9": "432",
          "position": "312"
        },
        "21": {
          "key": "f \u0430",
          "p5": "66",
          "p9": "430",
          "position": "313"
        },
        "22": {
          "key": "g \u043f",
          "p5": "67",
          "p9": "043F",
          "position": "314"
        },
        "23": {
          "key": "h \u0440",
          "p5": "68",
          "p9": "440",
          "position": "315"
        },
        "24": {
          "key": "j \u043e",
          "p5": "006A",
          "p9": "043E",
          "position": "316"
        },
        "25": {
          "key": "k \u043b",
          "p5": "006B",
          "p9": "043B",
          "position": "317"
        },
        "26": {
          "key": "l \u0434",
          "p5": "006C",
          "p9": "434",
          "position": "318"
        },
        "27": {
          "key": ":\n; \u0436",
          "p2": "003A",
          "p8": "003B",
          "p9": "436",
          "position": "319"
        },
        "28": {
          "key": "\" \u0454\n' \u044d",
          "p1": "22",
          "p3": "454",
          "p7": "27",
          "p9": "044D",
          "position": "320"
        },
        "29": {
          "key": "\u0491\n' \u20b4",
          "p2": "491",
          "p8": "27",
          "p9": "20B4",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "\u00bb /\n\u00ab \\",
          "p1": "00BB",
          "p3": "002F",
          "p7": "00AB",
          "p9": "005C",
          "position": "290"
        },
        "2C": {
          "key": "z \u044f",
          "p5": "007A",
          "p9": "044F",
          "position": "410"
        },
        "2D": {
          "key": "x \u0447",
          "p5": "78",
          "p9": "447",
          "position": "411"
        },
        "2E": {
          "key": "c \u0441",
          "p5": "63",
          "p9": "441",
          "position": "412"
        },
        "2F": {
          "key": "v \u043c",
          "p5": "76",
          "p9": "043C",
          "position": "413"
        },
        "30": {
          "key": "b \u0438",
          "p5": "62",
          "p9": "438",
          "position": "414"
        },
        "31": {
          "key": "n \u0442",
          "p5": "006E",
          "p9": "442",
          "position": "415"
        },
        "32": {
          "key": "m \u044c",
          "p5": "006D",
          "p9": "044C",
          "position": "416"
        },
        "33": {
          "key": "<\n, \u0431",
          "p2": "003C",
          "p8": "002C",
          "p9": "431",
          "position": "417"
        },
        "34": {
          "key": ">\n. \u044e",
          "p2": "003E",
          "p8": "002E",
          "p9": "044E",
          "position": "418"
        },
        "35": {
          "key": "? ,\n/ .",
          "p1": "003F",
          "p3": "002C",
          "p7": "002F",
          "p9": "002E",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "glyph_shift",
          "label": "glyph_shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt gr",
          "label": "alt gr",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "vi": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "\u0103",
          "p5": "103",
          "position": "110"
        },
        "03": {
          "key": "\u00e2",
          "p5": "E2",
          "position": "111"
        },
        "04": {
          "key": "\u00ea",
          "p5": "EA",
          "position": "112"
        },
        "05": {
          "key": "\u00f4",
          "p5": "F4",
          "position": "113"
        },
        "06": {
          "key": "\u0300 \u0300",
          "p2": "300",
          "position": "114"
        },
        "07": {
          "key": "\u0309 \u0309",
          "p2": "309",
          "position": "115"
        },
        "08": {
          "key": "\u0303 \u0303",
          "p2": "303",
          "position": "116"
        },
        "09": {
          "key": "\u0301 \u0301",
          "p2": "301",
          "position": "117"
        },
        "0A": {
          "key": "\u0323 \u0323",
          "p2": "323",
          "position": "118"
        },
        "0B": {
          "key": "\u0111",
          "p5": "111",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "5F",
          "p8": "2D",
          "position": "120"
        },
        "0D": {
          "key": "+\n\u20ab",
          "p2": "2B",
          "p8": "20AB",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "\u01b0",
          "p5": "1B0",
          "position": "220"
        },
        "1B": {
          "key": "\u01a1",
          "p5": "1A1",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "3A",
          "p8": "3B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "7E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "3C",
          "p8": "2C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "3E",
          "p8": "2E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "3F",
          "p8": "2F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "37": {
          "position": "409"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "73": {
          "position": "420"
        },
        "79": {
          "format": "smaller",
          "position": "551"
        },
        "7B": {
          "format": "smaller",
          "position": "550"
        },
        "7D": {
          "key": "\u00a6\n\\",
          "p2": "A6",
          "p8": "5C",
          "position": "122"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "zh_CN": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "!\n1",
          "p2": "21",
          "p8": "31",
          "position": "110"
        },
        "03": {
          "key": "@\n2",
          "p2": "40",
          "p8": "32",
          "position": "111"
        },
        "04": {
          "key": "#\n3",
          "p2": "23",
          "p8": "33",
          "position": "112"
        },
        "05": {
          "key": "$\n4",
          "p2": "24",
          "p8": "34",
          "position": "113"
        },
        "06": {
          "key": "%\n5",
          "p2": "25",
          "p8": "35",
          "position": "114"
        },
        "07": {
          "key": "^\n6",
          "p2": "005E",
          "p8": "36",
          "position": "115"
        },
        "08": {
          "key": "&\n7",
          "p2": "26",
          "p8": "37",
          "position": "116"
        },
        "09": {
          "key": "*\n8",
          "p2": "002A",
          "p8": "38",
          "position": "117"
        },
        "0A": {
          "key": "(\n9",
          "p2": "28",
          "p8": "39",
          "position": "118"
        },
        "0B": {
          "key": ")\n0",
          "p2": "29",
          "p8": "30",
          "position": "119"
        },
        "0C": {
          "key": "_\n-",
          "p2": "005F",
          "p8": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+\n=",
          "p2": "002B",
          "p8": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q",
          "p5": "71",
          "position": "210"
        },
        "11": {
          "key": "w",
          "p5": "77",
          "position": "211"
        },
        "12": {
          "key": "e",
          "p5": "65",
          "position": "212"
        },
        "13": {
          "key": "r",
          "p5": "72",
          "position": "213"
        },
        "14": {
          "key": "t",
          "p5": "74",
          "position": "214"
        },
        "15": {
          "key": "y",
          "p5": "79",
          "position": "215"
        },
        "16": {
          "key": "u",
          "p5": "75",
          "position": "216"
        },
        "17": {
          "key": "i",
          "p5": "69",
          "position": "217"
        },
        "18": {
          "key": "o",
          "p5": "6F",
          "position": "218"
        },
        "19": {
          "key": "p",
          "p5": "70",
          "position": "219"
        },
        "1A": {
          "key": "{\n[",
          "p2": "007B",
          "p8": "005B",
          "position": "220"
        },
        "1B": {
          "key": "}\n]",
          "p2": "007D",
          "p8": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a",
          "p5": "61",
          "position": "310"
        },
        "1F": {
          "key": "s",
          "p5": "73",
          "position": "311"
        },
        "20": {
          "key": "d",
          "p5": "64",
          "position": "312"
        },
        "21": {
          "key": "f",
          "p5": "66",
          "position": "313"
        },
        "22": {
          "key": "g",
          "p5": "67",
          "position": "314"
        },
        "23": {
          "key": "h",
          "p5": "68",
          "position": "315"
        },
        "24": {
          "key": "j",
          "p5": "6A",
          "position": "316"
        },
        "25": {
          "key": "k",
          "p5": "6B",
          "position": "317"
        },
        "26": {
          "key": "l",
          "p5": "6C",
          "position": "318"
        },
        "27": {
          "key": ":\n;",
          "p2": "003A",
          "p8": "003B",
          "position": "319"
        },
        "28": {
          "key": "\"\n'",
          "p2": "22",
          "p8": "27",
          "position": "320"
        },
        "29": {
          "key": "~\n`",
          "p2": "007E",
          "p8": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "|\n\\",
          "p2": "007C",
          "p8": "005C",
          "position": "290"
        },
        "2C": {
          "key": "z",
          "p5": "7A",
          "position": "410"
        },
        "2D": {
          "key": "x",
          "p5": "78",
          "position": "411"
        },
        "2E": {
          "key": "c",
          "p5": "63",
          "position": "412"
        },
        "2F": {
          "key": "v",
          "p5": "76",
          "position": "413"
        },
        "30": {
          "key": "b",
          "p5": "62",
          "position": "414"
        },
        "31": {
          "key": "n",
          "p5": "6E",
          "position": "415"
        },
        "32": {
          "key": "m",
          "p5": "6D",
          "position": "416"
        },
        "33": {
          "key": "<\n,",
          "p2": "003C",
          "p8": "002C",
          "position": "417"
        },
        "34": {
          "key": ">\n.",
          "p2": "003E",
          "p8": "002E",
          "position": "418"
        },
        "35": {
          "key": "?\n/",
          "p2": "003F",
          "p8": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    },
    "zh_TW": {
      "keys": {
        "00": {
          "key": "glyph_power",
          "label": "glyph_power",
          "notes": "power",
          "position": "999"
        },
        "01": {
          "format": "smaller",
          "key": "esc",
          "label": "esc",
          "notes": "escape",
          "position": "0"
        },
        "02": {
          "key": "! \u3105\n1 ",
          "p1": "21",
          "p3": "3105",
          "p7": "31",
          "position": "110"
        },
        "03": {
          "key": "@ \u3109\n2 ",
          "p1": "40",
          "p3": "3109",
          "p7": "32",
          "position": "111"
        },
        "04": {
          "key": "# \u02c7\n3 ",
          "p1": "23",
          "p3": "02C7",
          "p7": "33",
          "position": "112"
        },
        "05": {
          "key": "$ \u02cb\n4 ",
          "p1": "24",
          "p3": "02CB",
          "p7": "34",
          "position": "113"
        },
        "06": {
          "key": "% \u3113\n5 ",
          "p1": "25",
          "p3": "3113",
          "p7": "35",
          "position": "114"
        },
        "07": {
          "key": "^ \u02ca\n6 ",
          "p1": "005E",
          "p3": "02CA",
          "p7": "36",
          "position": "115"
        },
        "08": {
          "key": "& \u02d9\n7 ",
          "p1": "26",
          "p3": "02D9",
          "p7": "37",
          "position": "116"
        },
        "09": {
          "key": "* \u311a\n8 ",
          "p1": "002A",
          "p3": "311A",
          "p7": "38",
          "position": "117"
        },
        "0A": {
          "key": "( \u311e\n9 ",
          "p1": "28",
          "p3": "311E",
          "p7": "39",
          "position": "118"
        },
        "0B": {
          "key": ") \u3122\n0 ",
          "p1": "29",
          "p3": "3122",
          "p7": "30",
          "position": "119"
        },
        "0C": {
          "key": "_ \u3126\n- ",
          "p1": "005F",
          "p3": "3126",
          "p7": "002D",
          "position": "120"
        },
        "0D": {
          "key": "+ \n= ",
          "p1": "002B",
          "p7": "003D",
          "position": "121"
        },
        "0E": {
          "format": "right",
          "key": "backspace",
          "label": "backspace",
          "notes": "backspace",
          "position": "190"
        },
        "0F": {
          "format": "left",
          "key": "tab",
          "label": "tab",
          "notes": "tab",
          "position": "200"
        },
        "10": {
          "key": "q \u3106\n\u624b ",
          "p1": "71",
          "p3": "3106",
          "p7": "624B",
          "position": "210"
        },
        "11": {
          "key": "w \u310a\n\u7530 ",
          "p1": "77",
          "p3": "310A",
          "p7": "7530",
          "position": "211"
        },
        "12": {
          "key": "e \u310d\n\u6c34 ",
          "p1": "65",
          "p3": "310D",
          "p7": "6C34",
          "position": "212"
        },
        "13": {
          "key": "r \u3110\n\u53e3 ",
          "notes": "Unicode not accepted by the cell. The correct Unicode is 53E3. 53000 is not correct - rainlau\nI clicked on cell, then clicked on 123 in Toolbar and selected Plain Text. Can't verify that character is correct, but it is now displaying in column M and in go/crux-keyboard -ginsberg",
          "p1": "72",
          "p3": "3110",
          "p7": "53E3",
          "position": "213"
        },
        "14": {
          "key": "t \u3114\n\u5eff ",
          "p1": "74",
          "p3": "3114",
          "p7": "5EFF",
          "position": "214"
        },
        "15": {
          "key": "y \u3117\n\u535c ",
          "p1": "79",
          "p3": "3117",
          "p7": "535C",
          "position": "215"
        },
        "16": {
          "key": "u \u3127\n\u5c71 ",
          "p1": "75",
          "p3": "3127",
          "p7": "5C71",
          "position": "216"
        },
        "17": {
          "key": "i \u311b\n\u6208 ",
          "p1": "69",
          "p3": "311B",
          "p7": "6208",
          "position": "217"
        },
        "18": {
          "key": "o \u311f\n\u4eba ",
          "p1": "6F",
          "p3": "311F",
          "p7": "4EBA",
          "position": "218"
        },
        "19": {
          "key": "p \u3123\n\u5fc3 ",
          "p1": "70",
          "p3": "3123",
          "p7": "5FC3",
          "position": "219"
        },
        "1A": {
          "key": "{ \n[ ",
          "p1": "007B",
          "p7": "005B",
          "position": "220"
        },
        "1B": {
          "key": "} \n] ",
          "p1": "007D",
          "p7": "005D",
          "position": "221"
        },
        "1C": {
          "format": "right",
          "key": "enter",
          "label": "enter",
          "notes": "enter",
          "position": "390"
        },
        "1D": {
          "format": "left",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "left ctrl",
          "position": "500"
        },
        "1E": {
          "key": "a \u3107\n\u65e5 ",
          "notes": "Unicode not accepted by the cell. The correct Unicode is 65E5. 65000 is not correct - rainlau",
          "p1": "61",
          "p3": "3107",
          "p7": "65E5",
          "position": "310"
        },
        "1F": {
          "key": "s \u310b\n\u5c38 ",
          "p1": "73",
          "p3": "310B",
          "p7": "5C38",
          "position": "311"
        },
        "20": {
          "key": "d \u310e\n\u6728 ",
          "p1": "64",
          "p3": "310E",
          "p7": "6728",
          "position": "312"
        },
        "21": {
          "key": "f \u3111\n\u706b ",
          "p1": "66",
          "p3": "3111",
          "p7": "706B",
          "position": "313"
        },
        "22": {
          "key": "g \u3115\n\u571f ",
          "p1": "67",
          "p3": "3115",
          "p7": "571F",
          "position": "314"
        },
        "23": {
          "key": "h \u3118\n\u7af9 ",
          "p1": "68",
          "p3": "3118",
          "p7": "7AF9",
          "position": "315"
        },
        "24": {
          "key": "j \u3128\n\u5341 ",
          "p1": "6A",
          "p3": "3128",
          "p7": "5341",
          "position": "316"
        },
        "25": {
          "key": "k \u311c\n\u5927 ",
          "p1": "6B",
          "p3": "311C",
          "p7": "5927",
          "position": "317"
        },
        "26": {
          "key": "l \u3120\n\u4e2d ",
          "p1": "6C",
          "p3": "3120",
          "p7": "4E2D",
          "position": "318"
        },
        "27": {
          "key": ": \u3124\n; ",
          "p1": "003A",
          "p3": "3124",
          "p7": "003B",
          "position": "319"
        },
        "28": {
          "key": "\" \n' ",
          "p1": "22",
          "p7": "27",
          "position": "320"
        },
        "29": {
          "key": "~ \n` ",
          "p1": "007E",
          "p7": "60",
          "position": "100"
        },
        "2A": {
          "format": "left",
          "key": "shift",
          "label": "shift",
          "notes": "left shift",
          "position": "400"
        },
        "2B": {
          "key": "| \n\\ ",
          "p1": "007C",
          "p7": "005C",
          "position": "290"
        },
        "2C": {
          "key": "z \u3108\n\u91cd ",
          "p1": "7A",
          "p3": "3108",
          "p7": "91CD",
          "position": "410"
        },
        "2D": {
          "key": "x \u310c\n\u96e3 ",
          "notes": "Unicode not accepted by the cell. The correct Unicode is 96E3 - rainlau\nDisplays in Column M and go/crux-keyboard, but the value I59 changes to \"96000\" - ginsberg\n\n\"96000\" is not the right one, it has to be able to displayed as 96E3 to be correct  - rainlau\n\nI clicked on cell, then clicked on 123 in Toolbar and selected Plain Text. Can't verify that character is correct, but it is now displaying in column M and in go/crux-keyboard -ginsberg",
          "p1": "78",
          "p3": "310C",
          "p7": "96E3",
          "position": "411"
        },
        "2E": {
          "key": "c \u310f\n\u91d1 ",
          "p1": "63",
          "p3": "310F",
          "p7": "91D1",
          "position": "412"
        },
        "2F": {
          "key": "v \u3112\n\u5973 ",
          "p1": "76",
          "p3": "3112",
          "p7": "5973",
          "position": "413"
        },
        "30": {
          "key": "b \u3116\n\u6708 ",
          "p1": "62",
          "p3": "3116",
          "p7": "6708",
          "position": "414"
        },
        "31": {
          "key": "n \u3119\n\u5f13 ",
          "p1": "6E",
          "p3": "3119",
          "p7": "5F13",
          "position": "415"
        },
        "32": {
          "key": "m \u3129\n\u4e00 ",
          "notes": "Displays in Column M and go/crux-keyboard",
          "p1": "6D",
          "p3": "3129",
          "p7": "4E00",
          "position": "416"
        },
        "33": {
          "key": "< \u311d\n, ",
          "p1": "003C",
          "p3": "311D",
          "p7": "002C",
          "position": "417"
        },
        "34": {
          "key": "> \u3121\n. ",
          "p1": "003E",
          "p3": "3121",
          "p7": "002E",
          "position": "418"
        },
        "35": {
          "key": "? \u3125\n/ ",
          "p1": "003F",
          "p3": "3125",
          "p7": "002F",
          "position": "419"
        },
        "36": {
          "format": "right",
          "key": "shift",
          "label": "shift",
          "notes": "right shift",
          "position": "490"
        },
        "38": {
          "format": "left",
          "key": "alt",
          "label": "alt",
          "notes": "left alt",
          "position": "501"
        },
        "3B": {
          "key": "glyph_back",
          "label": "glyph_back",
          "position": "10"
        },
        "3C": {
          "key": "glyph_forward",
          "label": "glyph_forward",
          "position": "11"
        },
        "3D": {
          "key": "glyph_overview",
          "label": "glyph_overview",
          "position": "12"
        },
        "3E": {
          "key": "glyph_fullscreen",
          "label": "glyph_fullscreen",
          "position": "13"
        },
        "3F": {
          "key": "glyph_tools",
          "label": "glyph_tools",
          "position": "14"
        },
        "40": {
          "key": "glyph_brightness_down",
          "label": "glyph_brightness_down",
          "position": "15"
        },
        "41": {
          "key": "glyph_brightness_up",
          "label": "glyph_brightness_up",
          "position": "16"
        },
        "42": {
          "key": "glyph_volume_mute",
          "label": "glyph_volume_mute",
          "position": "17"
        },
        "43": {
          "key": "glyph_volume_down",
          "label": "glyph_volume_down",
          "position": "18"
        },
        "44": {
          "key": "glyph_volume_up",
          "label": "glyph_volume_up",
          "position": "19"
        },
        "E0 1D": {
          "format": "smaller",
          "key": "ctrl",
          "label": "ctrl",
          "notes": "right ctrl",
          "position": "581"
        },
        "E0 38": {
          "format": "smaller",
          "key": "alt",
          "label": "alt",
          "notes": "right alt",
          "position": "580"
        },
        "E0 48": {
          "key": "glyph_arrow_up",
          "label": "glyph_arrow_up",
          "position": "590"
        },
        "E0 4B": {
          "key": "glyph_arrow_left",
          "label": "glyph_arrow_left",
          "position": "591"
        },
        "E0 4D": {
          "key": "glyph_arrow_right",
          "label": "glyph_arrow_right",
          "position": "593"
        },
        "E0 50": {
          "key": "glyph_arrow_down",
          "label": "glyph_arrow_down",
          "position": "592"
        },
        "E0 5B": {
          "format": "left",
          "key": "glyph_search",
          "label": "glyph_search",
          "notes": "search",
          "position": "300"
        }
      },
      "layoutName": "U"
    }
  },
  "layouts": {
    "B": [
      [
        "43",
        658.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "44",
        730.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "42",
        585.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "41",
        513.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "40",
        440.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3F",
        368.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3D",
        223.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3E",
        295.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3C",
        150.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3B",
        77.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "00",
        803.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "01",
        5.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "",
        815.0,
        107.0,
        30.0,
        60.0
      ],
      [
        "73",
        740.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "56",
        80.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "39",
        245.0,
        287.0,
        330.0,
        60.0
      ],
      [
        "0E",
        785.0,
        47.0,
        90.0,
        60.0
      ],
      [
        "1C",
        830.0,
        107.0,
        45.0,
        120.0
      ],
      [
        "36",
        800.0,
        227.0,
        75.0,
        60.0
      ],
      [
        "0F",
        5.0,
        107.0,
        90.0,
        60.0
      ],
      [
        "2A",
        5.0,
        227.0,
        75.0,
        60.0
      ],
      [
        "E0 50",
        755.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 48",
        755.0,
        287.0,
        60.0,
        31.0
      ],
      [
        "E0 4D",
        815.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 4B",
        695.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 5B",
        5.0,
        167.0,
        105.0,
        60.0
      ],
      [
        "38",
        125.0,
        287.0,
        120.0,
        60.0
      ],
      [
        "1D",
        5.0,
        287.0,
        120.0,
        60.0
      ],
      [
        "E0 1D",
        635.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "E0 38",
        575.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "2B",
        770.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "0D",
        725.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0C",
        665.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0B",
        605.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0A",
        545.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "09",
        485.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "08",
        425.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "07",
        365.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "06",
        305.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "05",
        245.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "04",
        185.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "03",
        125.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "02",
        65.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "29",
        5.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "35",
        680.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "34",
        620.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "33",
        560.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "32",
        500.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "31",
        440.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "30",
        380.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2F",
        320.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2E",
        260.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2D",
        200.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2C",
        140.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "28",
        710.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "27",
        650.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "26",
        590.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "25",
        530.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "24",
        470.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "23",
        410.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "22",
        350.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "21",
        290.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "20",
        230.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1F",
        170.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1E",
        110.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1B",
        755.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "1A",
        695.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "19",
        635.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "18",
        575.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "17",
        515.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "16",
        455.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "15",
        395.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "14",
        335.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "13",
        275.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "12",
        215.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "11",
        155.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "10",
        95.0,
        107.0,
        60.0,
        60.0
      ]
    ],
    "E": [
      [
        "43",
        658.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "44",
        730.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "42",
        585.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "41",
        513.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "40",
        440.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3F",
        368.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3D",
        223.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3E",
        295.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3C",
        150.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3B",
        77.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "00",
        803.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "01",
        5.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "",
        815.0,
        107.0,
        30.0,
        60.0
      ],
      [
        "56",
        80.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "39",
        245.0,
        287.0,
        330.0,
        60.0
      ],
      [
        "0E",
        785.0,
        47.0,
        90.0,
        60.0
      ],
      [
        "1C",
        830.0,
        107.0,
        45.0,
        120.0
      ],
      [
        "36",
        740.0,
        227.0,
        135.0,
        60.0
      ],
      [
        "0F",
        5.0,
        107.0,
        90.0,
        60.0
      ],
      [
        "2A",
        5.0,
        227.0,
        75.0,
        60.0
      ],
      [
        "E0 50",
        755.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 48",
        755.0,
        287.0,
        60.0,
        31.0
      ],
      [
        "E0 4D",
        815.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 4B",
        695.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 5B",
        5.0,
        167.0,
        105.0,
        60.0
      ],
      [
        "38",
        125.0,
        287.0,
        120.0,
        60.0
      ],
      [
        "1D",
        5.0,
        287.0,
        120.0,
        60.0
      ],
      [
        "E0 1D",
        635.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "E0 38",
        575.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "2B",
        770.5,
        167.0,
        60.0,
        60.0
      ],
      [
        "0D",
        725.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0C",
        665.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0B",
        605.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0A",
        545.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "09",
        485.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "08",
        425.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "07",
        365.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "06",
        305.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "05",
        245.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "04",
        185.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "03",
        125.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "02",
        65.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "29",
        5.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "35",
        680.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "34",
        620.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "33",
        560.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "32",
        500.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "31",
        440.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "30",
        380.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2F",
        320.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2E",
        260.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2D",
        200.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2C",
        140.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "28",
        710.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "27",
        650.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "26",
        590.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "25",
        530.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "24",
        470.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "23",
        410.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "22",
        350.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "21",
        290.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "20",
        230.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1F",
        170.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1E",
        110.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1B",
        755.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "1A",
        695.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "19",
        635.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "18",
        575.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "17",
        515.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "16",
        455.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "15",
        395.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "14",
        335.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "13",
        275.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "12",
        215.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "11",
        155.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "10",
        95.0,
        107.0,
        60.0,
        60.0
      ]
    ],
    "J": [
      [
        "43",
        658.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "44",
        730.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "42",
        585.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "41",
        513.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "40",
        440.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3F",
        368.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3D",
        223.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3E",
        295.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3C",
        150.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3B",
        77.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "00",
        803.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "01",
        5.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "",
        800.0,
        107.0,
        30.0,
        60.0
      ],
      [
        "73",
        725.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "39",
        260.0,
        287.0,
        240.0,
        60.0
      ],
      [
        "79",
        500.0,
        287.0,
        75.0,
        60.0
      ],
      [
        "7B",
        185.0,
        287.0,
        75.0,
        60.0
      ],
      [
        "7D",
        759.0,
        47.0,
        56.0,
        60.0
      ],
      [
        "0E",
        815.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "1C",
        815.0,
        107.0,
        60.0,
        120.0
      ],
      [
        "36",
        785.0,
        227.0,
        90.0,
        60.0
      ],
      [
        "0F",
        5.0,
        107.0,
        75.0,
        60.0
      ],
      [
        "2A",
        5.0,
        227.0,
        120.0,
        60.0
      ],
      [
        "E0 50",
        755.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 48",
        755.0,
        287.0,
        60.0,
        31.0
      ],
      [
        "E0 4D",
        815.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 4B",
        695.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 5B",
        5.0,
        167.0,
        90.0,
        60.0
      ],
      [
        "38",
        95.0,
        287.0,
        90.0,
        60.0
      ],
      [
        "1D",
        5.0,
        287.0,
        90.0,
        60.0
      ],
      [
        "E0 1D",
        635.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "E0 38",
        575.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "2B",
        755.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "0D",
        701.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "0C",
        643.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "0B",
        585.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "0A",
        527.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "09",
        469.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "08",
        411.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "07",
        353.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "06",
        295.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "05",
        237.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "04",
        179.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "03",
        121.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "02",
        63.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "29",
        5.0,
        47.0,
        58.0,
        60.0
      ],
      [
        "35",
        665.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "34",
        605.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "33",
        545.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "32",
        485.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "31",
        425.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "30",
        365.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2F",
        305.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2E",
        245.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2D",
        185.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2C",
        125.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "28",
        695.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "27",
        635.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "26",
        575.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "25",
        515.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "24",
        455.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "23",
        395.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "22",
        335.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "21",
        275.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "20",
        215.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1F",
        155.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1E",
        95.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1B",
        740.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "1A",
        680.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "19",
        620.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "18",
        560.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "17",
        500.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "16",
        440.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "15",
        380.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "14",
        320.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "13",
        260.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "12",
        200.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "11",
        140.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "10",
        80.0,
        107.0,
        60.0,
        60.0
      ]
    ],
    "U": [
      [
        "39",
        245.0,
        287.0,
        330.0,
        60.0
      ],
      [
        "43",
        658.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "44",
        730.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "42",
        585.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "41",
        513.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "40",
        440.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3F",
        368.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3D",
        223.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "3E",
        295.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3C",
        150.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "3B",
        77.0,
        6.0,
        73.0,
        35.0
      ],
      [
        "00",
        803.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "01",
        5.0,
        6.0,
        72.0,
        35.0
      ],
      [
        "0E",
        785.0,
        47.0,
        90.0,
        60.0
      ],
      [
        "1C",
        770.0,
        167.0,
        105.0,
        60.0
      ],
      [
        "36",
        740.0,
        227.0,
        135.0,
        60.0
      ],
      [
        "0F",
        5.0,
        107.0,
        90.0,
        60.0
      ],
      [
        "2A",
        5.0,
        227.0,
        135.0,
        60.0
      ],
      [
        "E0 50",
        755.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 48",
        755.0,
        287.0,
        60.0,
        31.0
      ],
      [
        "E0 4D",
        815.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 4B",
        695.0,
        318.0,
        60.0,
        29.0
      ],
      [
        "E0 5B",
        5.0,
        167.0,
        105.0,
        60.0
      ],
      [
        "38",
        125.0,
        287.0,
        120.0,
        60.0
      ],
      [
        "1D",
        5.0,
        287.0,
        120.0,
        60.0
      ],
      [
        "E0 1D",
        635.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "E0 38",
        575.0,
        287.0,
        60.0,
        60.0
      ],
      [
        "2B",
        815.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "0D",
        725.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0C",
        665.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0B",
        605.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "0A",
        545.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "09",
        485.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "08",
        425.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "07",
        365.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "06",
        305.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "05",
        245.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "04",
        185.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "03",
        125.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "02",
        65.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "29",
        5.0,
        47.0,
        60.0,
        60.0
      ],
      [
        "35",
        680.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "34",
        620.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "33",
        560.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "32",
        500.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "31",
        440.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "30",
        380.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2F",
        320.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2E",
        260.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2D",
        200.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "2C",
        140.0,
        227.0,
        60.0,
        60.0
      ],
      [
        "28",
        710.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "27",
        650.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "26",
        590.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "25",
        530.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "24",
        470.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "23",
        410.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "22",
        350.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "21",
        290.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "20",
        230.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1F",
        170.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1E",
        110.0,
        167.0,
        60.0,
        60.0
      ],
      [
        "1B",
        755.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "1A",
        695.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "19",
        635.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "18",
        575.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "17",
        515.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "16",
        455.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "15",
        395.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "14",
        335.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "13",
        275.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "12",
        215.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "11",
        155.0,
        107.0,
        60.0,
        60.0
      ],
      [
        "10",
        95.0,
        107.0,
        60.0,
        60.0
      ]
    ]
  },
  "shortcut": {
    "+<>CTRL": "keyboardOverlayZoomIn",
    ",<>CTRL": "keyboardOverlaySettings",
    "-<>CTRL": "keyboardOverlayZoomOut",
    "/<>ALT<>CTRL": "keyboardOverlayViewKeyboardOverlay",
    "/<>CTRL": "keyboardOverlayHelp",
    "0<>CTRL": "keyboardOverlayResetZoom",
    "1<>CTRL": "keyboardOverlayActivateTab1",
    "2<>CTRL": "keyboardOverlayActivateTab2",
    "3<>CTRL": "keyboardOverlayActivateTab3",
    "4<>CTRL": "keyboardOverlayActivateTab4",
    "5<>CTRL": "keyboardOverlayActivateTab5",
    "6<>CTRL": "keyboardOverlayActivateTab6",
    "7<>CTRL": "keyboardOverlayActivateTab7",
    "8<>CTRL": "keyboardOverlayActivateTab8",
    "9<>CTRL": "keyboardOverlayActivateLastTab",
    "ALT<>SHIFT": "keyboardOverlayCycleThroughInputMethods",
    "a<>CTRL": "keyboardOverlaySelectAll",
    "arrowkeys<>CTRL": "keyboardOverlayWordMove",
    "b<>CTRL<>SHIFT": "keyboardOverlayToggleBookmarkBar",
    "backspace": "keyboardOverlayBack",
    "backspace<>CTRL": "keyboardOverlayDeleteWord",
    "backspace<>CTRL<>SHIFT": "keyboardOverlayClearBrowsingDataDialog",
    "backspace<>SHIFT": "keyboardOverlayForward",
    "c<>CTRL": "keyboardOverlayCopy",
    "d<>ALT": "keyboardOverlayFocusAddressBar",
    "d<>CTRL": "keyboardOverlayBookmarkCurrentPage",
    "d<>CTRL<>SHIFT": "keyboardOverlayBookmarkAllTabs",
    "down<>ALT": "keyboardOverlayPageDown",
    "down<>ALT<>CTRL": "keyboardOverlayEnd",
    "e<>CTRL": "keyboardOverlayFocusAddressBarInSearchMode",
    "enter<>ALT": "keyboardOverlayOpenAddressInNewTab",
    "enter<>CTRL": "keyboardOverlayAddWwwAndComAndOpenAddress",
    "enter<>SHIFT": "keyboardOverlayFindPrevious",
    "esc<>SHIFT": "keyboardOverlayTaskManager",
    "f<>ALT<>CTRL": "keyboardOverlayFullScreen",
    "f<>CTRL": "keyboardOverlayFindText",
    "g<>CTRL": "keyboardOverlayFindAgain",
    "g<>CTRL<>SHIFT": "keyboardOverlayFindPrevious",
    "h<>CTRL": "keyboardOverlayHistory",
    "i<>CTRL<>SHIFT": "keyboardOverlayDeveloperTools",
    "j<>CTRL": "keyboardOverlayDownloads",
    "j<>CTRL<>SHIFT": "keyboardOverlayDomInspector",
    "k<>CTRL": "keyboardOverlayFocusAddressBarInSearchMode",
    "l<>CTRL": "keyboardOverlayFocusAddressBar",
    "left<>ALT": "keyboardOverlayBack",
    "left<>CTRL<>SHIFT": "keyboardOverlaySelectWordAtATime",
    "m<>ALT<>CTRL": "keyboardOverlayUseExternalMonitor",
    "n<>CTRL": "keyboardOverlayNewWindow",
    "n<>CTRL<>SHIFT": "keyboardOverlayNewIncognitoWindow",
    "o<>CTRL": "keyboardOverlayContentBrowser",
    "p<>CTRL": "keyboardOverlayPrint",
    "power": "keyboardOverlayLockScreenOrPowerOff",
    "q<>CTRL<>SHIFT": "keyboardOverlaySignOut",
    "r<>CTRL": "keyboardOverlayReloadCurrentPage",
    "r<>CTRL<>SHIFT": "keyboardOverlayReloadIgnoringCache",
    "right<>ALT": "keyboardOverlayForward",
    "right<>CTRL<>SHIFT": "keyboardOverlaySelectWordAtATime",
    "s<>CTRL": "keyboardOverlaySave",
    "space<>CTRL": "keyboardOverlaySelectPreviousInputMethod",
    "space<>SHIFT": "keyboardOverlayScrollUpOnePage",
    "switch window<>CTRL": "keyboardOverlayTakeScreenshot",
    "t<>CTRL": "keyboardOverlayNewTab",
    "t<>CTRL<>SHIFT": "keyboardOverlayReopenLastClosedTab",
    "tab<>ALT": "keyboardOverlayPreviousWindow",
    "tab<>ALT<>SHIFT": "keyboardOverlayNextWindow",
    "tab<>CTRL": "keyboardOverlayActivateNextTab",
    "tab<>CTRL<>SHIFT": "keyboardOverlayActivatePreviousTab",
    "u<>CTRL": "keyboardOverlayViewSource",
    "up<>ALT": "keyboardOverlayPageUp",
    "up<>ALT<>CTRL": "keyboardOverlayHome",
    "v<>CTRL": "keyboardOverlayPaste",
    "v<>CTRL<>SHIFT": "keyboardOverlayPasteAsPlainText",
    "w<>CTRL": "keyboardOverlayCloseTab",
    "w<>CTRL<>SHIFT": "keyboardOverlayCloseWindow",
    "x<>CTRL": "keyboardOverlayCut",
    "z<>CTRL": "keyboardOverlayUndo"
  }
};